Config = {}
Config.RandomMissions = true --set false for linear progression
Config.MissionSpaceTime = 30000 --milliseconds between missions
--these below can be overriden per mission
Config.TargetKillReward = 250 --cash
Config.KillReward = 250 --cash
Config.KillVehiclePedBonus = 150 --cash
Config.KillBossPedBonus = 250 --cash
Config.FinishedObjectiveReward = 5000 --cash
Config.HostageKillPenalty = 500  --cash
Config.HostageRescueReward = 500  --cash
Config.IsDefendTargetRescueReward = 5000
Config.IsDefendTargetKillPenalty = 5000

--**Set this to true if you encounter any 'hidden' NPCs (behind walls) that are not accessible in random mission generator missions
--This will happen very occasionally, and this will/should fix that occuring. 
--The upshot when this is set to true, is that NPCs will not spawn underneath structures as much, like in tunnels,
--or under the pier say. 
--You can use RandomMissionPositions with force=true to make NPCs spawn underneath 
--structures and in tunnels, but only Objective type missions (not Assasinate missions) will be generated 
--since the codebase does not stop NPCs spawning behind walls in this case. 
--This only applies to Random Mission Generator missions, not Regular, where you can have NPCs spawn wherever you want. 
--Config.CheckAndFixRandomSpawns=false --DISABLED
--**--

Config.CleanupPickups = true --cleanup any remaining pickups when a new mission starts?

Config.EnemiesCanSpawnPickups = false --< experimental
										--  now will try to spawn a weapon from the what the ped had, does not seem to spawn the same weapon, *seems* to be random.
Config.EnemySpawnedPickupsChance = 10 --Percent Chance to spawn a pickup
Config.EnemySpawnedPickups = {
	"PICKUP_HEALTH_SNACK",
	"PICKUP_HEALTH_STANDARD",
}	

Config.SetPedDropsWeaponsWhenDead = true
								 
--Default Player MaxHealth Amount:
Config.DefaultPlayerMaxHealthAmount = 200									 
								 
----THESE ARE NOT SUPPORTED PER MISSION ONLY GLOBAL:									 
--give player health and armor back when they win mission?	
Config.RegenHealthAndArmourOnReward = true	
--Turn on Regen like Halo for Health and Armor?
Config.RegenHealthAndArmour = true	
----
								 
--TURNING ON MEANS THAT WHEN A HOSTAGE IS KILLED MISSION IS OVER							 									 
Config.HostageRescue = false	

Config.FailedMessage = "Mission Failed!"						 

--can be used with safehouses...but are meant as an alternative			
Config.SpawnMissionPickupsOnPlayer = false
Config.SpawnMissionComponentsOnPlayer = false 

--used with safe houses or by themselves
Config.SpawnRewardPickupsOnPlayer = true
Config.SpawnRewardComponentsOnPlayer = true 

Config.SpawnMissionPickups = {"WEAPON_COMBATPISTOL","weapon_heavysniper_mk2","weapon_marksmanrifle_mk2","weapon_heavysniper","weapon_combatmg_mk2","weapon_combatmg",
"weapon_carbinerifle_mk2","weapon_assaultrifle_mk2","weapon_specialcarbine_mk2","weapon_bullpuprifle_mk2","weapon_advancedrifle","weapon_pumpshotgun_mk2","weapon_assaultshotgun",
"weapon_smg_mk2","weapon_assaultsmg","weapon_pistol_mk2","weapon_snspistol_mk2","weapon_revolver_mk2","WEAPON_KNIFE","GADGET_NIGHTVISION","WEAPON_GRENADE","WEAPON_PROXMINE","WEAPON_STICKYBOMB","WEAPON_PIPEBOMB","WEAPON_FLARE",
"weapon_molotov","weapon_hominglauncher","WEAPON_RPG","GADGET_PARACHUTE","weapon_microsmg"
}

Config.SpawnMissionComponents = {"COMPONENT_AT_PI_SUPP WEAPON_COMBATPISTOL","COMPONENT_COMBATPISTOL_CLIP_02 WEAPON_COMBATPISTOL","COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_MAX weapon_heavysniper_mk2",
"COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
--"COMPONENT_AT_SCOPE_THERMAL weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_LARGE_FIXED_ZOOM_MK2 weapon_marksmanrifle_mk2","COMPONENT_MARKSMANRIFLE_MK2_CLIP_FMJ weapon_marksmanrifle_mk2","COMPONENT_AT_SCOPE_MAX weapon_heavysniper",
"COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_combatmg_mk2","COMPONENT_COMBATMG_MK2_CLIP_INCENDIARY weapon_combatmg_mk2","COMPONENT_COMBATMG_CLIP_02 weapon_combatmg","COMPONENT_AT_SCOPE_MEDIUM weapon_combatmg",
"COMPONENT_CARBINERIFLE_MK2_CLIP_ARMORPIERCING weapon_carbinerifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_carbinerifle_mk2",
"COMPONENT_ASSAULTRIFLE_MK2_CLIP_FMJ weapon_assaultrifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_assaultrifle_mk2",
"COMPONENT_SPECIALCARBINE_MK2_CLIP_INCENDIARY weapon_specialcarbine_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_specialcarbine_mk2",
"COMPONENT_BULLPUPRIFLE_MK2_CLIP_ARMORPIERCING weapon_bullpuprifle_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_bullpuprifle_mk2",
"COMPONENT_ADVANCEDRIFLE_CLIP_02 weapon_advancedrifle","COMPONENT_AT_SCOPE_SMALL weapon_advancedrifle",
"COMPONENT_PUMPSHOTGUN_MK2_CLIP_EXPLOSIVE weapon_pumpshotgun_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_pumpshotgun_mk2",
"COMPONENT_ASSAULTSHOTGUN_CLIP_02 weapon_assaultshotgun",
"COMPONENT_SMG_MK2_CLIP_HOLLOWPOINT weapon_smg_mk2","COMPONENT_AT_SCOPE_SMALL_SMG_MK2 weapon_smg_mk2",
"COMPONENT_ASSAULTSMG_CLIP_02 weapon_assaultsmg","COMPONENT_AT_SCOPE_MACRO weapon_assaultsmg",
"COMPONENT_PISTOL_MK2_CLIP_HOLLOWPOINT weapon_pistol_mk2","COMPONENT_AT_PI_RAIL weapon_pistol_mk2",
"COMPONENT_SNSPISTOL_MK2_CLIP_FMJ weapon_snspistol_mk2","COMPONENT_AT_PI_RAIL_02 weapon_snspistol_mk2",
"COMPONENT_REVOLVER_MK2_CLIP_INCENDIARY weapon_revolver_mk2","COMPONENT_AT_SCOPE_MACRO_MK2 weapon_revolver_mk2",
"COMPONENT_MICROSMG_CLIP_02 weapon_microsmg"
} --space between attachment/component and weapon it goes on





Config.SpawnRewardPickups = {"WEAPON_COMBATPISTOL","weapon_heavysniper_mk2","weapon_marksmanrifle_mk2","weapon_heavysniper","weapon_combatmg_mk2","weapon_combatmg",
"weapon_carbinerifle_mk2","weapon_assaultrifle_mk2","weapon_specialcarbine_mk2","weapon_bullpuprifle_mk2","weapon_advancedrifle","weapon_pumpshotgun_mk2","weapon_assaultshotgun",
"weapon_smg_mk2","weapon_assaultsmg","weapon_pistol_mk2","weapon_snspistol_mk2","weapon_revolver_mk2","WEAPON_KNIFE","GADGET_NIGHTVISION","WEAPON_GRENADE","WEAPON_PROXMINE","WEAPON_STICKYBOMB","WEAPON_PIPEBOMB","WEAPON_FLARE",
"weapon_molotov","weapon_hominglauncher","WEAPON_RPG","GADGET_PARACHUTE","weapon_microsmg"
}

Config.SpawnRewardComponents = {"COMPONENT_AT_PI_SUPP WEAPON_COMBATPISTOL","COMPONENT_COMBATPISTOL_CLIP_02 WEAPON_COMBATPISTOL","COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_MAX weapon_heavysniper_mk2",
"COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
--"COMPONENT_AT_SCOPE_THERMAL weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_LARGE_FIXED_ZOOM_MK2 weapon_marksmanrifle_mk2","COMPONENT_MARKSMANRIFLE_MK2_CLIP_FMJ weapon_marksmanrifle_mk2","COMPONENT_AT_SCOPE_MAX weapon_heavysniper",
"COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_combatmg_mk2","COMPONENT_COMBATMG_MK2_CLIP_INCENDIARY weapon_combatmg_mk2","COMPONENT_COMBATMG_CLIP_02 weapon_combatmg","COMPONENT_AT_SCOPE_MEDIUM weapon_combatmg",
"COMPONENT_CARBINERIFLE_MK2_CLIP_ARMORPIERCING weapon_carbinerifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_carbinerifle_mk2",
"COMPONENT_ASSAULTRIFLE_MK2_CLIP_FMJ weapon_assaultrifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_assaultrifle_mk2",
"COMPONENT_SPECIALCARBINE_MK2_CLIP_INCENDIARY weapon_specialcarbine_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_specialcarbine_mk2",
"COMPONENT_BULLPUPRIFLE_MK2_CLIP_ARMORPIERCING weapon_bullpuprifle_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_bullpuprifle_mk2",
"COMPONENT_ADVANCEDRIFLE_CLIP_02 weapon_advancedrifle","COMPONENT_AT_SCOPE_SMALL weapon_advancedrifle",
"COMPONENT_PUMPSHOTGUN_MK2_CLIP_EXPLOSIVE weapon_pumpshotgun_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_pumpshotgun_mk2",
"COMPONENT_ASSAULTSHOTGUN_CLIP_02 weapon_assaultshotgun",
"COMPONENT_SMG_MK2_CLIP_HOLLOWPOINT weapon_smg_mk2","COMPONENT_AT_SCOPE_SMALL_SMG_MK2 weapon_smg_mk2",
"COMPONENT_ASSAULTSMG_CLIP_02 weapon_assaultsmg","COMPONENT_AT_SCOPE_MACRO weapon_assaultsmg",
"COMPONENT_PISTOL_MK2_CLIP_HOLLOWPOINT weapon_pistol_mk2","COMPONENT_AT_PI_RAIL weapon_pistol_mk2",
"COMPONENT_SNSPISTOL_MK2_CLIP_FMJ weapon_snspistol_mk2","COMPONENT_AT_PI_RAIL_02 weapon_snspistol_mk2",
"COMPONENT_REVOLVER_MK2_CLIP_INCENDIARY weapon_revolver_mk2","COMPONENT_AT_SCOPE_MACRO_MK2 weapon_revolver_mk2",
"COMPONENT_MICROSMG_CLIP_02 weapon_microsmg"
}    --space between attachment/component and weapon it goes on

Config.MissionLengthMinutes = 60
Config.MissionNoTimeout = false



--turn safehouses off/on
Config.UseSafeHouse = true
Config.UseSafeHouseCrateDrop = true
Config.UseSafeHouseBanditoDrop = true
Config.SafeHouseCost = 2000
Config.SafeHouseCostVehicle = 2000
Config.SafeHouseCostCrate = 2000
Config.SafeHouseSniperExplosiveRoundsGiven = 8 --default in game is 40. Alter this for some balance
Config.SafeHouseVehiclesMaxClaim = 3 --how many vehicles a player can claim per mission
Config.SafeHouseTimeTillNextUse = 180000 --3 minutes default 
Config.SafeHouseGiveImmediately = true --disable countdown
Config.SafeHousePedDoctors = {"s_m_m_doctor_01","a_f_y_business_02","u_f_y_princess"}
Config.SafeHousePedLeaders = {"s_m_y_blackops_02","s_m_y_blackops_01","s_m_y_blackops_03"}
Config.SafeHouseProps = {"v_ilev_liconftable_sml"}--{"ex_prop_crate_expl_bc"}
Config.SafeHousePedWeapons = {0x83BF0278,0x05FC3C11}

--pawns player to the current mission safehouse when they spawn/respawn
Config.TeleportToSafeHouseOnSpawn = true
Config.TeleportToSafeHouseOnMissionStart = false


--NOTE, WHEN SAFEHOUSES TURNED ON. For regular missions, place vehicles without 'id2' attribute in Vehicles= {} to also create safehouse vehicles for players
--**They need to be placed after any 'id2' NPC vehicles**
Config.SafeHouseVehicleCount = 5
Config.SafeHouseAircraftCount = 2
Config.SafeHouseBoatCount = 3

--Makes NPC planes (not helis) head towards to the safe house location if UseSafe=true and TeleportToSafeHouseOnMissionStart=true
--This is a little hack to make spawned planes stay in the air.
Config.SafeHousePlaneAttack = true

--combat pistol ->supressor, extended clip
--weapon_pistol_mk2 -> hollow point, scope
--weapon_snspistol_mk2 ->fmj rounds, scope
--weapon_revolver_mk2 -> incendiary, scope
--heavysniper_mk2 ->  explosive rounds, advanced scope
--marksmanrifle_mk2 ->  fmj (anti-vehicle) rounds
--heaversniper ->  advanced scope
--combatmg_mk2 -> scope, incendiary rounds
--combatmg,-> extend clip, scope
--weapon_carbinerifle_mk2 -> armor piercing rounds, scope
--weapon_assaultrifle_mk2 -> fmj rounds, scope
--weapon_specialcarbine_mk2 -> incendiary, scope
--weapon_bullpuprifle_mk2 -> armor piercing, scope
--weapon_advancedrifle --> extended, scope
--weapon_pumpshotgun_mk2 --> explosive, scope
--weapon_assaultshotgun -->, extended clip
--weapon_smg_mk2 -> hollow point,scope,
--weapon_assaultsmg -> extended clip, scope
--weapon_microsmg -> extended clip

Config.SpawnSafeHousePickups = {"WEAPON_COMBATPISTOL","weapon_heavysniper_mk2","weapon_marksmanrifle_mk2","weapon_heavysniper","weapon_combatmg_mk2","weapon_combatmg",
"weapon_carbinerifle_mk2","weapon_assaultrifle_mk2","weapon_specialcarbine_mk2","weapon_bullpuprifle_mk2","weapon_advancedrifle","weapon_pumpshotgun_mk2","weapon_assaultshotgun",
"weapon_smg_mk2","weapon_assaultsmg","weapon_pistol_mk2","weapon_snspistol_mk2","weapon_revolver_mk2","WEAPON_KNIFE","GADGET_NIGHTVISION","WEAPON_GRENADE","WEAPON_PROXMINE","WEAPON_STICKYBOMB","WEAPON_PIPEBOMB","WEAPON_FLARE",
"weapon_molotov","weapon_hominglauncher","WEAPON_RPG","GADGET_PARACHUTE","weapon_microsmg"
}
Config.SpawnSafeHouseComponents = {"COMPONENT_AT_PI_SUPP WEAPON_COMBATPISTOL","COMPONENT_COMBATPISTOL_CLIP_02 WEAPON_COMBATPISTOL","COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_MAX weapon_heavysniper_mk2",
"COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
--"COMPONENT_AT_SCOPE_THERMAL weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_LARGE_FIXED_ZOOM_MK2 weapon_marksmanrifle_mk2","COMPONENT_MARKSMANRIFLE_MK2_CLIP_FMJ weapon_marksmanrifle_mk2","COMPONENT_AT_SCOPE_MAX weapon_heavysniper",
"COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_combatmg_mk2","COMPONENT_COMBATMG_MK2_CLIP_INCENDIARY weapon_combatmg_mk2","COMPONENT_COMBATMG_CLIP_02 weapon_combatmg","COMPONENT_AT_SCOPE_MEDIUM weapon_combatmg",
"COMPONENT_CARBINERIFLE_MK2_CLIP_ARMORPIERCING weapon_carbinerifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_carbinerifle_mk2",
"COMPONENT_ASSAULTRIFLE_MK2_CLIP_FMJ weapon_assaultrifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_assaultrifle_mk2",
"COMPONENT_SPECIALCARBINE_MK2_CLIP_INCENDIARY weapon_specialcarbine_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_specialcarbine_mk2",
"COMPONENT_BULLPUPRIFLE_MK2_CLIP_ARMORPIERCING weapon_bullpuprifle_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_bullpuprifle_mk2",
"COMPONENT_ADVANCEDRIFLE_CLIP_02 weapon_advancedrifle","COMPONENT_AT_SCOPE_SMALL weapon_advancedrifle",
"COMPONENT_PUMPSHOTGUN_MK2_CLIP_EXPLOSIVE weapon_pumpshotgun_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_pumpshotgun_mk2",
"COMPONENT_ASSAULTSHOTGUN_CLIP_02 weapon_assaultshotgun",
"COMPONENT_SMG_MK2_CLIP_HOLLOWPOINT weapon_smg_mk2","COMPONENT_AT_SCOPE_SMALL_SMG_MK2 weapon_smg_mk2",
"COMPONENT_ASSAULTSMG_CLIP_02 weapon_assaultsmg","COMPONENT_AT_SCOPE_MACRO weapon_assaultsmg",
"COMPONENT_PISTOL_MK2_CLIP_HOLLOWPOINT weapon_pistol_mk2","COMPONENT_AT_PI_RAIL weapon_pistol_mk2",
"COMPONENT_SNSPISTOL_MK2_CLIP_FMJ weapon_snspistol_mk2","COMPONENT_AT_PI_RAIL_02 weapon_snspistol_mk2",
"COMPONENT_REVOLVER_MK2_CLIP_INCENDIARY weapon_revolver_mk2","COMPONENT_AT_SCOPE_MACRO_MK2 weapon_revolver_mk2",
"COMPONENT_MICROSMG_CLIP_02 weapon_microsmg"
} 


Config.SafeHouseVehicles = 

{
	"dune3",
	"kuruma2",
	"insurgent3",
	"khanjali",
	"blazer5",
	"oppressor2",
	"oppressor",
	"apc",
}


Config.SafeHouseAircraft = 

{
"hydra",
"havok",
"thruster",
"avenger",

}
--used for IsRandomSpawnAnywhere missions, for when the random position is on water.
Config.SafeHouseBoat = 

{
"dinghy4",
"seashark",
"toro2",
"jetmax",
}


--vehicles where NPC passengers get out of near players or IsDefendPlayerObjectives
--NEEDS TO BE IN UPPERCASE:
--[[Config.RandomMissionTransportVehicles = {
BRICKADE={},
BUS={},
COACH={},
WASTELANDER={},
TITAN={},
LUXOR={},
LUXOR2={},
MILJET={},
BARRACKS={},
BARRACKS3={},
CARGOBOB={},
CARGOBOB2={},
CARGOBOB3={},
CARGOBOB4={}
}
]]--


--reset safehouse access when player respawns?
--really need to use ESX& database to stop 
--players disconnecting and reconnecting
--to record.
Config.ResetSafeHouseOnRespawn = false
--do we also reset the safe house for the next mission?
Config.ResetSafeHouseOnNewMission = false

--when going to safehouse for mission equipment armor and 
--health will also add armor to model, give super jump 
-- and fast sprint
----THESE ARE NOT SUPPORTED PER MISSION ONLY GLOBAL:
Config.SafeHouseCrackDownMode = true
Config.SafeHouseCrackDownModeHealthAmount = 5000
----
--for IsRandom=true
--For Below:
--set to true to use Config.SafeHouseLocations
--overrides normal mission and IsRandom
--location BlipS and MarkerS.
Config.UseSafeHouseLocations = true
Config.SafeHouseLocations = {

	--Los Santos Airport
	{
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = -1694.94, y = -3152.18, z = 23.32}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -1694.94, y = -3152.18, z = 24.32},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1469.37, y = -2967.27, z = 13.3}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	},
	
	--Desert Airstrip
	{
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = 1731.94, y = 3308.24, z = 41.22}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = 1731.94, y = 3308.24, z = 41.22},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = 1480.63, y = 3167.93, z = 40.99}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 1481.84, y = 3873.37, z = 30.04}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	},	
	
	--Military Base
	
	{
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = {x = -2108.16, y = 3275.45, z = 38.73}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -2108.16, y = 3275.45, z = 38.73},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -2451.21, y = 3134.29, z = 32.82, heading = 156.25}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = -3238.09, y = 3380.0, z = 0.18}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	},	

	
}


--Config.UseESX=false    

--List of vehicles with their seatids
--**You can seatids to auto-fill passengers as well, not just turrets**
--**All vehicle seats for all vehicles get auto-populated for NPCs**
--**Use this to override that, to set only certain seatids**
Config.VehicleTurretSeatIds = {
	apc = {0},
	barrage = {0,1,2},
	halftrack = {0,1},
	dune3 = {0},
	insurgent = {0,1,2,3,4,5,6,7},
	insurgent3 = {0,1,2,3,4,5,6,7},
	technical = {0,1},
	technical2 = {0,1},
	technical3 = {0,1},
	limo2 = {0,1,2,3},
	menacer = {0,1,2,3},
	boxville5 = {0,1,2,3},
	toro2={0,1,2,3},
	--tampa3={0},
	valkyrie={0,1,2,3,4}, --how many seatids? 
	valkyrie2={0,1,2,3,4}, --how many seatids? 
	buzzard2={0,1,2,3,4}, --how many seatids? 
	maverick={0,1,2,3,4}, --how many seatids? 
	akula={0,1}, --how many seatids? 
	caracara = {0,1,2,3},
	ruiner2 = {0},
	nightshark = {0,1,2},
	dinghy4 = {0,1,2,3},
	pounder2 = {0,1,2,3,4,5,6,7},
	brutus = {0},
	bombushka = {0,1,2,3,4},
	--avenger = {0,1,2,3},
}


--will spawn with AA trailer
--has to be these vehicles: https://gta.fandom.com/wiki/Anti-Aircraft_Trailer
Config.TowVehicles = {
"nightshark"

} 


--**Nerfs are DEPRECATED EXCEPT FOR NerfValkyrieHelicopterCannon**, all fire patterns are done per vehicle in doVehicleMods function now in client.lua:
--make the cannon on the Valkyrie Helicopter shoot much slower
Config.NerfValkyrieHelicopterCannon = true
--make the cannon on the APC shoot much slower like a tank
Config.NerfAPCCannon = false
--make the cannon on the khanjali and rhino tanks shooter more like a tank
Config.NerfTankCannon = false
--make all other turrets in any other vehicle nerfed? (burst shots vs 30-50 rounds at a time)
Config.NerfTurrets = false
--make any driver control weapons nerfed?
Config.NerfDriverTurrets = false
---


--Fast firing peds
Config.FastFiringPeds = true

--Configure Boss health. Chance to appear in IsRandom missions with RandomMissionBossChance
--in regular missions, use isBoss=true
Config.BossHealth = 1000 


--**START RANDOM MISSION GENERATOR SETTINGS**--
Config.RandomMissionSpawnRadius = 50.0 --keep a float for enemy ped wandering to work
Config.RandomMissionMaxPedSpawns = 30
Config.RandomMissionMinPedSpawns = 15
Config.RandomMissionBossChance =  5
Config.RandomMissionMaxVehicleSpawns = 4
Config.RandomMissionMinVehicleSpawns = 1
Config.RandomMissionChanceToSpawnVehiclePerTry = 100
Config.RandomMissionAircraftChance = 25

--forces only land spawns for random anywhere missions
Config.RandomMissionDoLandBattle = true

Config.StartMessageObj = "Capture the objective!"
Config.FinishMessageObj = "Mission Completed!"
Config.MissionTitleObj = "Takeover"
Config.MissionMessageObj = "Capture the objective!"	
	
Config.StartMessageAss = "Eliminate the targets!"
Config.FinishMessageAss = "Mission Completed!"
Config.MissionTitleAss = "Elimination"
Config.MissionMessageAss = "Eliminate the targets"	
	


Config.RandomMissionTypes = {"Assassinate","Objective"}


Config.RandomMissionWeapons = {0x1B06D571,0xBFE256D4,0x88374054,0xCB96392F,0x5EF9FEC4,0xE284C527,0x83BF0278,0xBFEFFF6D,0xD205520E,0x13532244,
0x2BE6766B, 0x2BE6766B, 0xEFE7E2DF,0x0A3D4D34,0xDB1AA450,0xBD248B55,0x1D073A89,0x555AF99A,0x7846A318,0xE284C527,0x9D61E50F,0x3AABBBAA,0xEF951FBB,
 0x12E82D3D,0x42BF8A85,0x42BF8A85,0x42BF8A85,0xC734385A,0xBFEFFF6D,0x42BF8A85,
 0xBFEFFF6D,0xBFEFFF6D,0x394F415C,0x394F415C,0x83BF0278,0x83BF0278,0xFAD1F1C9,0xFAD1F1C9,0xAF113F99,0xC0A3098D,0x969C3D67,0x7F229F94,0x84D6FAFD,
 0x624FE830,0x9D07F764,0x7FD62962,0xDBBD7280,0x61012683,0x83BF0278,0x83BF0278,0x83BF0278,0xBFEFFF6D,0xBFEFFF6D,0x394F415C,0x394F415C,0xC0A3098D,
 0x969C3D67,0x05FC3C11,0x05FC3C11,0x05FC3C11,0xB1CA77B1,0xB1CA77B1,0xB1CA77B1,0x63AB0442,0x63AB0442,0x63AB0442,0xB1CA77B1,0x0781FE4A,0x0781FE4A,
 0x0C472FE2,0x0C472FE2,0xC1B3C3D1,0xC1B3C3D1,0xEFE7E2DF,0xEFE7E2DF
 
 }
 
 --what do peds in vehicles carry? Use drive-by weapons like micro-smg
Config.RandomMissionVehicleWeapons = {0x13532244}

--IsRandom -> IsDefend -> IsDefendTarget configuration
Config.IsDefendTargetRescue = true
Config.IsDefendTargetMaxHealth = 600 --need to make this a little higher
--Config.IsDefendTargetMaxArmor = 100 --just give armor = 100

Config.IsDefendTargetRandomPeds = {"ig_bankman","a_f_y_business_02","u_f_y_princess","ig_tomepsilon"}

Config.IsDefendTargetRandomPedWeapons = {0xE284C527,0x83BF0278,0xBFEFFF6D}



Config.IsDefendTargetRandomVehicles = {	
"kuruma2",
}


Config.IsDefendTargetRandomAircraft = {
"hydra",
"lazer",
"strikeforce"
}

Config.IsDefendTargetRandomBoat = {
"dinghy4",
"seashark",
"toro2",
"marquis",
"jetmax"
}


 --randomlocation.DefendTargetInVehicle
--.DefendTargetVehicleIsAircraft
--.DefendTargetVehicleIsBoat

Config.RandomMissionPositions = { 

{ x = -973.87, y = -273.67, z = 38.26, MissionTitle="Arcade"}, --cul de sac near studios
 
{ x = -1102.97, y = -424.98, z = 44.37, MissionTitle="News Studio" }, --news channel/studio building roof
{ x = -1223.9, y = -493.83, z = 31.51, MissionTitle="Back Alley" }, --news channel/studio in cul de sac

{ x = 2840.52, y = -1449.96, z = 11.95, MissionTitle="The Island"}, --island

{ x = 1074.41, y = 3072.94, z = 40.82, MissionTitle="Desert Airstrip"}, --desert airstrip

{x = -149.29, y = -960.51, z = 269.13, MissionTitle="High Rise"}, --construction tower

{ x = -1393.62, y = -2562.09, z = 13.95, MissionTitle="Airport" }, --airport

{ x = 137.07, y = -3204.05, z = 5.86,  MissionTitle="Docks" }, --walkers docks
{ x = -1828.32, y = -1218.22, z = 13.03, MissionTitle="The Pier" }, --pier

{ x = -547.74, y = -1477.3, z = 10.14, MissionTitle="Freeway Hideaway" }, --center greenery	

{ x = 1485.24, y = -2358.31, z = 72.44, MissionTitle="Oil Fields" }, --oilfields


{ x = 58.43, y = -1133.28, z = 29.34, MissionTitle="Street Smart"}, --los santos road
{ x = -808.9, y = -1302.95, z = 5.0, MissionTitle="Marina" }, --yacht club

{ x = 31.0, y = -767.1, z = 44.24, MissionTitle="Business District" }, --center los santos

{ x = 1874.74, y = 299.22, z = 162.82, MissionTitle="Resevoir" }, --resevoir

{ x = 1373.59, y = -739.58, z = 67.23, MissionTitle="Suburban Sprawl"}, --cul de sac

{ x = 1150.09, y = 124.3, z = 82.12, MissionTitle="Race Track"}, --race track

--'force = true' stops ray trace checking for spawn points for peds and vehicles, so peds/vehicles can spawn underneath structures... near the spawn location 
--this also means that peds/vehicles can spawn hidden in buildings, so this forces the mission type to be "Objective"
--{ x = -177.69, y = -165.11, z = 44.03, MissionTitle="Concierge Service", force=true}, --hotel north los santos 

{ x = -2237.38, y = 266.45, z = 174.62, MissionTitle="The Ritz" },
 --ritz hotel

{ x = -412.9, y = 1170.53, z = 325.84, MissionTitle="Observatory"}, --observatory

{ x = 756.1, y = 1284.89, z = 360.3, MissionTitle="Vinewood" }, --vinewood sign

{ x = -1907.85, y = 2037.05, z = 140.74, MissionTitle="Wine Country"}, --vineyard

{ x = -1833.24, y = 2152.89, z = 115.7, MissionTitle="Vinery"}, --vineyard 2

{ x = -2548.21, y = 2705.28, z = 2.84, MissionTitle="Secret Bunker" }, --outside base

{ x = -2405.68, y = 4253.63, z = 9.82, MissionTitle="Point Break"}, --nw beach

{ x = 57.0, y = 3717.01, z = 39.75, MissionTitle="Trailer Park"},--lost caravans
{ x = 1816.42, y = 3794.64, z = 33.65, MissionTitle="Dust Bowl"}, --south salton
{ x = 1313.35, y = 4327.67, z = 38.21, MissionTitle="Fish Monger" }, --north salton

{ x = 3572.73, y = 3665.03, z = 33.89, MissionTitle="The Complex"}, --humane labs

{ x = 3803.26, y = 4462.52, z = 4.75, MissionTitle="Getaway" }, --north east coast

{ x = -1122.74, y = 4924.89, z = 218.67, MissionTitle="Compound"  }, --cult

{ x = -578.96, y = 5321.1, z = 70.21, MissionTitle="Sawmill" }, --sawmill

{ x = -31.49, y = 6441.9, z = 31.43, MissionTitle="Community Chest"  }, --parking lot uppoer NW

{ x = 28.76, y = 6216.7, z = 31.54, MissionTitle="Railyard"  }, --by railyard upper nw
{ x = 1429.43, y = 6517.94, z = 18.91, MissionTitle="Scenic Route"  }, --uppper coast


}



--{{ x = 1074.41, y = 3072.94, z = 40.82},{ x = 302.86, y = 4373.86, z = 51.61 }, { x = -2074.59, y = 1475.03, z = 275.15 }, {x = 1657.106, y = 428.6742, z = 245.6912}}
Config.RandomMissionPeds = {"s_m_y_ammucity_01","s_m_y_xmech_02","U_M_Y_Tattoo_01","g_m_m_chicold_01","s_m_y_dealer_01","g_m_y_lost_01","g_m_y_lost_02","g_m_y_lost_03","s_m_y_xmech_02_mp","s_m_y_robber_01","g_f_y_lost_01","u_f_y_bikerchic"}

--juggernauts will spawn with railgun others minigun:
Config.RandomMissionBossPeds = {"ig_clay","mp_m_exarmy_01","ig_josef","ig_ramp_mex","ig_terry","mp_m_bogdangoon","mp_m_weapexp_01","csb_jackhowitzer","u_m_y_juggernaut_01","u_m_y_juggernaut_01","ig_cletus","u_m_y_juggernaut_01"} --csb_jackhowitzer, u_m_y_juggernaut_01 
Config.RandomMissionFriendlies = {"a_f_m_tourist_01","a_m_y_vinewood_03","a_m_m_tourist_01","a_m_y_genstreet_01","a_f_o_genstreet_01","a_m_y_genstreet_02","a_f_y_genhot_01"}
Config.RandomMissionVehicles = {	
	"apc",
	"barrage",
	"halftrack",
	"dune3",
	"insurgent",
	"insurgent3",
	"technical",
	"technical2",
	"technical3",
	"limo2",
	"menacer",
	"rhino",
	"khanjali",
	"trailersmall2",
	"tampa3",
	"caracara",
	"blazer4",
	"bf400",
	"mule4",
	"kuruma2",
	"brutus",
	"nightshark",
	"bruiser",
	"dominator4",
	"impaler2",
	"imperator",
	"zr380",
	"issi4",
	"deathbike",
	"oppressor",
	"scarab",
	"slamvan4",
	"speedo4",
	"oppressor2",
	"boxville5",
	"crusader",
	"pounder2",
	"trailerlarge",
}

--Config.RandomMissionVehicles = {

	--"thruster",
--}


Config.RandomMissionAircraft = {
"hydra",
"lazer",
"strikeforce",
"valkyrie",
"valkyrie2",
"buzzard2",
"maverick",
"valkyrie2",
"akula",
"starling",
"mogul",
"rogue",
"nokota",
"molotok",
"tula",
"pyro",
"seabreeze",

}
--used for IsRandomSpawnAnywhere missions, for when the random position is on water.
Config.RandomMissionBoat = {
"dinghy4",
"seashark",
"toro2",
"jetmax",
"technical2",
"blazer5",
"apc",
}

Config.RandomMissionProps = {
	"ba_prop_battle_crate_m_hazard",
	"imp_prop_impexp_boxcoke_01",
	"ex_prop_crate_expl_sc",
	"sm_prop_smug_crate_l_narc",
	"ex_prop_crate_money_sc",
	"ex_prop_crate_jewels_racks_sc",
	"prop_large_gold",
	"xm_prop_crates_sam_01a",
	"prop_drop_crate_01_set",
	"prop_box_ammo03a_set2",
	"prop_biotech_store",
	"prop_air_cargo_04c",
	"prop_air_cargo_04a",
	"hei_prop_carrier_bombs_1",
	"ex_prop_crate_narc_sc",
	"prop_weed_pallet",
	"prop_cash_crate_01",
	"prop_box_ammo03a_set",
	"hei_prop_heist_weed_pallet_02",
	"hei_prop_carrier_cargo_05b"
	
	
	}


--**END RANDOM MISSION GENERATOR SETTINGS**--


Config.Missions = {

	Mission1 = {
    
 	StartMessage = "New Mission",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Takeover",
	MissionMessage = "New Mission",	
	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Capture the objective!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Takeover",
	MissionMessageObj = "Capture the objective!",	
	
	StartMessageAss = "Eliminate the targets!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Elimination",
	MissionMessageAss = "Eliminate the targets",	
	RandomMissionDoLandBattle=false, --needed for pier npcs to spawn!
	RandomMissionTypes ={"Objective"},
	Type = "Objective",	
	IsRandom = true,
	--IsDefend = true,
	--IsDefendTarget = true,
	--IsDefendTargetChase = true,
	--IsDefendTargetGotoBlip=true,
	--IsRandomSpawnAnywhere = true,
	--what x and y coordinate range should these mission spawn in?
	--IsRandomSpawnAnywhereCoordRange = {xrange={-3500,4200},yrange={-3700,7700}},
	--RandomLocation = true, --for completely random location.. 
	
	Blip = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },
	
	

    Marker = {
      Type     = 1,
      Position = { x = -10000, y = 0, z = 0}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip
      Title = "Mission Safehouse",
      Position = { x = 137.06, y = -3093.18, z = 4.9}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 417,
      Display  = 4,
      Size     = 1.2,
      Color    = 2,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },	
	 MarkerS = { --safehouse marker
      Type     = 1,
      Position = { x = 137.06, y = -3093.18, z = 4.9},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 117, g = 218, b = 255},
      DrawDistance = 200.0,
    },
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1228.1, y = -2267.77, z = 13.94}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	Props = { 
		--**need a stub entry set for the random prop**
		{ id=1, Name="",Position = { x = 0, y = 0, z = 0, heading = 0 }},
	
    },
	
	Peds = {
		--**need a stub entry set for the random ped hostage for HostageRescue=true**
      {id = 1, Position = { x = 0, y = 0, z = 0, heading = 0 }},
     },
	

	Pickups = {
		
	},
	MissionPickups = {
		
		
	}

  

  },
  
  
  Mission2 = {
    
 	StartMessage = "New Mission",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Takeover",
	MissionMessage = "New Mission",	
	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Capture the objective!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Takeover",
	MissionMessageObj = "Capture the objective!",	
	
	StartMessageAss = "Eliminate the targets!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Elimination",
	MissionMessageAss = "Eliminate the targets",
	Type = "Objective",	
	RandomMissionDoLandBattle = true,
	IsRandom = true,
	--IsDefend = true,
	--IsDefendTarget = true,
	--IsDefendTargetChase = true,
	--IsDefendTargetGotoBlip=true,
	IsRandomSpawnAnywhere = true,
	--what x and y coordinate range should these mission spawn in?
	IsRandomSpawnAnywhereCoordRange = {xrange={-3500,4200},yrange={-3700,7700}}, --full map
	--RandomMissionBossPeds = {"csb_jackhowitzer"},
	--IsRandomSpawnAnywhereCoordRange = {xrange={-2000,1500},yrange={ -3500,0}},
	--RandomLocation = true, --for completely random location.. 
	
	Blip = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },
	

    Marker = {
      Type     = 1,
      Position = { x = -10000, y = 0, z = 0}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip
      Title = "Mission Safehouse",
      Position = { x = 137.06, y = -3093.18, z = 4.9}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 417,
      Display  = 4,
      Size     = 1.2,
      Color    = 2,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },	
	 MarkerS = { --safehouse marker
      Type     = 1,
      Position = { x = 137.06, y = -3093.18, z = 4.9},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 117, g = 218, b = 255},
      DrawDistance = 200.0,
    },
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1228.1, y = -2267.77, z = 13.94}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	Props = { 
		--**need a stub entry set for the random prop**
		{ id=1, Name="",Position = { x = 0, y = 0, z = 0, heading = 0 }},
	
    },
	
	Peds = {
		--**need a stub entry set for the random ped hostage for HostageRescue=true**
      {id = 1, Position = { x = 0, y = 0, z = 0, heading = 0 }},
     },
	

	Pickups = {
		
	},
	MissionPickups = {
		
		
	}

  

  },
  
 Mission3 = {
    
 	StartMessage = "New Mission",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Warfare",
	MissionMessage = "New Mission",	
	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Capture the objective!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Warfare",
	MissionMessageObj = "Capture the objective!",	
	
	StartMessageAss = "Eliminate the targets!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Warfare",
	MissionMessageAss = "Eliminate the targets",
	--RandomMissionWeapons = {0x63AB0442},
	
	Type = "Objective",	
	IsRandom = true,
	--IsDefend = true,
	--IsDefendTarget = true,
	--IsDefendTargetChase = true,
	--IsDefendTargetGotoBlip=true,
	IsRandomSpawnAnywhere = true,
	RandomMissionSpawnRadius = 150.0, --keep a float for enemy ped wandering to work
	RandomMissionMaxPedSpawns = 75,
	RandomMissionMinPedSpawns = 50,
	RandomMissionMaxVehicleSpawns = 6,
	RandomMissionMinVehicleSpawns = 3,
	RandomMissionChanceToSpawnVehiclePerTry = 100,
	RandomMissionAircraftChance = 30,
	--RandomMissionVehicles = {
	--"brutus",
	--"rcbandito",
	--},
	--RandomMissionAircraft = {
	--"titan",
	--"luxor",
	--"luxor2",
	--"miljet",
	--"cargobob",
	--"cargobob2",
	--"cargobob3",
	--"cargobob4"
	--},
	--RandomMissionAircraft = {
	--"akula",
	--},
	
	MissionLengthMinutes = 60,
	SafeHouseVehiclesMaxClaim = 3,
	SafeHouseVehicleCount = 9,
	SafeHouseAircraftCount = 3,
	SafeHouseBoatCount = 3,
	--SafeHouseVehicles ={'barrage'},
	--RandomMissionVehicles={"tampa3"},
	--RandomMissionAircraft={"valkyrie"},	
	--what x and y coordinate range should these mission spawn in?
	IsRandomSpawnAnywhereCoordRange = {xrange={-3500,4200},yrange={-3700,7700}}, --FULL MAP
	--IsRandomSpawnAnywhereCoordRange = {xrange={-2000,1500},yrange={ -3500,0}},
	--RandomLocation = true, --for completely random location.. 
	--RandomMissionPeds = {"mp_m_freemode_01"},
	--RandomMissionAircraft = {"bombushka"},
	--RandomMissionVehicles = {"barrage"},
	
	Blip = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },
	

    Marker = {
      Type     = 1,
      Position = { x = -10000, y = 0, z = 0}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip
      Title = "Mission Safehouse",
      Position = { x = 137.06, y = -3093.18, z = 4.9}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 417,
      Display  = 4,
      Size     = 1.2,
      Color    = 2,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },	
	 MarkerS = { --safehouse marker
      Type     = 1,
      Position = { x = 137.06, y = -3093.18, z = 4.9},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 117, g = 218, b = 255},
      DrawDistance = 200.0,
    },
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1228.1, y = -2267.77, z = 13.94}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	Props = { 
		--**need a stub entry set for the random prop**
		{ id=1, Name="",Position = { x = 0, y = 0, z = 0, heading = 0 }},
	
    },
	
	Peds = {
		--**need a stub entry set for the random ped hostage for HostageRescue=true**
      {id = 1, Position = { x = 0, y = 0, z = 0, heading = 0 }},
     },
	

	Pickups = {
		
	},
	MissionPickups = {
		
		
	}

  

  },
  
 
  


-- uncomment if you have red dead desert map installed:  https://github.com/KSA01/Red-Dead-Desert 
--[[
Mission5 = {
    
 	StartMessage = "Recapture the prison colony Westworld from the convict uprising!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Westworld",
	MissionMessage = "Recapture the prison colony Westworld from the convict uprising",	
	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Recapture the prison colony Westworld from the convict uprising!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Westworld",
	MissionMessageObj = "Recapture the prison colony Westworld from the convict uprising",	
	
	StartMessageAss = "Recapture the prison colony Westworld from the convict uprising!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Westworld",
	MissionMessageAss = "Recapture the prison colony Westworld from the convict uprising",
	--RandomMissionWeapons = {0x63AB0442},
	
	Type = "Objective",	
	IsRandom = true,
	RandomMissionTypes ={"Objective"},
	--IsDefend = true,
	--IsDefendTarget = true,
	--IsDefendTargetChase = true,
	--IsDefendTargetGotoBlip=true,
	IsRandomSpawnAnywhere = true,
	UseSafeHouseLocations = false,
	RandomMissionDoLandBattle = true,
	RandomMissionSpawnRadius = 150.0, --keep a float for enemy ped wandering to work
	RandomMissionMaxPedSpawns = 75,
	RandomMissionMinPedSpawns = 50,
	RandomMissionMaxVehicleSpawns = 6,
	RandomMissionMinVehicleSpawns = 3,
	RandomMissionChanceToSpawnVehiclePerTry = 100,
	RandomMissionAircraftChance = 25,
	MissionLengthMinutes = 60,
	SafeHouseVehiclesMaxClaim = 3,
	SafeHouseVehicleCount = 9,
	SafeHouseAircraftCount = 3,
	SafeHouseBoatCount = 3,
	RandomMissionPeds = {"s_m_y_prismuscl_01","u_m_y_prisoner_01","s_m_y_prisoner_01"},
	--what x and y coordinate range should these mission spawn in?
	IsRandomSpawnAnywhereCoordRange = {xrange={4647,7756},yrange={-1181,1950}},
	--RandomLocation = true, --for completely random location.. 
	
	Blip = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },
	

    Marker = {
      Type     = 1,
      Position = { x = -10000, y = 0, z = 0}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip
      Title = "Mission Safehouse",
      Position = {x = 6605.16, y = -787.53, z = 23.78}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 417,
      Display  = 4,
      Size     = 1.2,
      Color    = 2,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },	
	 MarkerS = { --safehouse marker
      Type     = 1,
      Position = { x = 6605.16, y = -787.53, z = 22.78},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 117, g = 218, b = 255},
      DrawDistance = 200.0,
    },
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = {x = 6837.65, y = -942.43, z = 31.4}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 6992.71, y = -1301.72, z = 0.28}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	
	Props = { 
		--**need a stub entry set for the random prop**
		{ id=1, Name="",Position = { x = 0, y = 0, z = 0, heading = 0 }},
	
    },
	
	Peds = {
		--**need a stub entry set for the random ped hostage for HostageRescue=true**
      {id = 1, Position = { x = 0, y = 0, z = 0, heading = 0 }},
     },
	

	Pickups = {
		
	},
	MissionPickups = {
		
		
	}

  

  },
  ]]--

}
