Config = {}
Config.RandomMissions = true --set false for linear progression
Config.MissionSpaceTime = 30000 --milliseconds between missions
--these below can be overriden per mission
Config.TargetKillReward = 250 --cash
Config.KillReward = 250 --cash
Config.KillVehiclePedBonus = 150 --cash
Config.KillBossPedBonus = 250 --cash
Config.FinishedObjectiveReward = 5000 --cash
Config.HostageKillPenalty = 500  --cash
Config.HostageRescueReward = 500  --cash
Config.IsDefendTargetRescueReward = 5000
Config.IsDefendTargetKillPenalty = 5000

--**Set this to true if you encounter any 'hidden' NPCs (behind walls) that are not accessible in random mission generator missions
--This will happen very occasionally, and this will/should fix that occuring. 
--The upshot when this is set to true, is that NPCs will not spawn underneath structures as much, like in tunnels,
--or under the pier say. 
--You can use RandomMissionPositions with force=true to make NPCs spawn underneath 
--structures and in tunnels, but only Objective type missions (not Assasinate missions) will be generated 
--since the codebase does not stop NPCs spawning behind walls in this case. 
--This only applies to Random Mission Generator missions, not Regular, where you can have NPCs spawn wherever you want. 
--Config.CheckAndFixRandomSpawns=false --DISABLED
--**--

Config.CleanupPickups = true --cleanup any remaining pickups when a new mission starts?

Config.EnemiesCanSpawnPickups = false --< experimental
										--  now will try to spawn a weapon from the what the ped had, does not seem to spawn the same weapon, *seems* to be random.
Config.EnemySpawnedPickupsChance = 10 --Percent Chance to spawn a pickup
Config.EnemySpawnedPickups = {
	"PICKUP_HEALTH_SNACK",
	"PICKUP_HEALTH_STANDARD",
}	

Config.SetPedDropsWeaponsWhenDead = true
								 
--Default Player MaxHealth Amount:
Config.DefaultPlayerMaxHealthAmount = 200									 
								 
----THESE ARE NOT SUPPORTED PER MISSION ONLY GLOBAL:									 
--give player health and armor back when they win mission?	
Config.RegenHealthAndArmourOnReward = true	
--Turn on Regen like Halo for Health and Armor?
Config.RegenHealthAndArmour = true	
----
								 
--TURNING ON MEANS THAT WHEN A HOSTAGE IS KILLED MISSION IS OVER							 									 
Config.HostageRescue = false	

Config.FailedMessage = "Mission Failed!"						 

--can be used with safehouses...but are meant as an alternative			
Config.SpawnMissionPickupsOnPlayer = false
Config.SpawnMissionComponentsOnPlayer = false 

--used with safe houses or by themselves
Config.SpawnRewardPickupsOnPlayer = true
Config.SpawnRewardComponentsOnPlayer = true 

Config.SpawnMissionPickups = {"WEAPON_COMBATPISTOL","weapon_heavysniper_mk2","weapon_marksmanrifle_mk2","weapon_heavysniper","weapon_combatmg_mk2","weapon_combatmg",
"weapon_carbinerifle_mk2","weapon_assaultrifle_mk2","weapon_specialcarbine_mk2","weapon_bullpuprifle_mk2","weapon_advancedrifle","weapon_pumpshotgun_mk2","weapon_assaultshotgun",
"weapon_smg_mk2","weapon_assaultsmg","weapon_pistol_mk2","weapon_snspistol_mk2","weapon_revolver_mk2","WEAPON_KNIFE","GADGET_NIGHTVISION","WEAPON_GRENADE","WEAPON_PROXMINE","WEAPON_STICKYBOMB","WEAPON_PIPEBOMB","WEAPON_FLARE",
"weapon_molotov","weapon_hominglauncher","WEAPON_RPG","GADGET_PARACHUTE","weapon_microsmg"
}

Config.SpawnMissionComponents = {"COMPONENT_AT_PI_SUPP WEAPON_COMBATPISTOL","COMPONENT_COMBATPISTOL_CLIP_02 WEAPON_COMBATPISTOL","COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_MAX weapon_heavysniper_mk2",
"COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
--"COMPONENT_AT_SCOPE_THERMAL weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_LARGE_FIXED_ZOOM_MK2 weapon_marksmanrifle_mk2","COMPONENT_MARKSMANRIFLE_MK2_CLIP_FMJ weapon_marksmanrifle_mk2","COMPONENT_AT_SCOPE_MAX weapon_heavysniper",
"COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_combatmg_mk2","COMPONENT_COMBATMG_MK2_CLIP_INCENDIARY weapon_combatmg_mk2","COMPONENT_COMBATMG_CLIP_02 weapon_combatmg","COMPONENT_AT_SCOPE_MEDIUM weapon_combatmg",
"COMPONENT_CARBINERIFLE_MK2_CLIP_ARMORPIERCING weapon_carbinerifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_carbinerifle_mk2",
"COMPONENT_ASSAULTRIFLE_MK2_CLIP_FMJ weapon_assaultrifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_assaultrifle_mk2",
"COMPONENT_SPECIALCARBINE_MK2_CLIP_INCENDIARY weapon_specialcarbine_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_specialcarbine_mk2",
"COMPONENT_BULLPUPRIFLE_MK2_CLIP_ARMORPIERCING weapon_bullpuprifle_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_bullpuprifle_mk2",
"COMPONENT_ADVANCEDRIFLE_CLIP_02 weapon_advancedrifle","COMPONENT_AT_SCOPE_SMALL weapon_advancedrifle",
"COMPONENT_PUMPSHOTGUN_MK2_CLIP_EXPLOSIVE weapon_pumpshotgun_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_pumpshotgun_mk2",
"COMPONENT_ASSAULTSHOTGUN_CLIP_02 weapon_assaultshotgun",
"COMPONENT_SMG_MK2_CLIP_HOLLOWPOINT weapon_smg_mk2","COMPONENT_AT_SCOPE_SMALL_SMG_MK2 weapon_smg_mk2",
"COMPONENT_ASSAULTSMG_CLIP_02 weapon_assaultsmg","COMPONENT_AT_SCOPE_MACRO weapon_assaultsmg",
"COMPONENT_PISTOL_MK2_CLIP_HOLLOWPOINT weapon_pistol_mk2","COMPONENT_AT_PI_RAIL weapon_pistol_mk2",
"COMPONENT_SNSPISTOL_MK2_CLIP_FMJ weapon_snspistol_mk2","COMPONENT_AT_PI_RAIL_02 weapon_snspistol_mk2",
"COMPONENT_REVOLVER_MK2_CLIP_INCENDIARY weapon_revolver_mk2","COMPONENT_AT_SCOPE_MACRO_MK2 weapon_revolver_mk2",
"COMPONENT_MICROSMG_CLIP_02 weapon_microsmg"
} --space between attachment/component and weapon it goes on





Config.SpawnRewardPickups = {"WEAPON_COMBATPISTOL","weapon_heavysniper_mk2","weapon_marksmanrifle_mk2","weapon_heavysniper","weapon_combatmg_mk2","weapon_combatmg",
"weapon_carbinerifle_mk2","weapon_assaultrifle_mk2","weapon_specialcarbine_mk2","weapon_bullpuprifle_mk2","weapon_advancedrifle","weapon_pumpshotgun_mk2","weapon_assaultshotgun",
"weapon_smg_mk2","weapon_assaultsmg","weapon_pistol_mk2","weapon_snspistol_mk2","weapon_revolver_mk2","WEAPON_KNIFE","GADGET_NIGHTVISION","WEAPON_GRENADE","WEAPON_PROXMINE","WEAPON_STICKYBOMB","WEAPON_PIPEBOMB","WEAPON_FLARE",
"weapon_molotov","weapon_hominglauncher","WEAPON_RPG","GADGET_PARACHUTE","weapon_microsmg"
}

Config.SpawnRewardComponents = {"COMPONENT_AT_PI_SUPP WEAPON_COMBATPISTOL","COMPONENT_COMBATPISTOL_CLIP_02 WEAPON_COMBATPISTOL","COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_MAX weapon_heavysniper_mk2",
"COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
--"COMPONENT_AT_SCOPE_THERMAL weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_LARGE_FIXED_ZOOM_MK2 weapon_marksmanrifle_mk2","COMPONENT_MARKSMANRIFLE_MK2_CLIP_FMJ weapon_marksmanrifle_mk2","COMPONENT_AT_SCOPE_MAX weapon_heavysniper",
"COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_combatmg_mk2","COMPONENT_COMBATMG_MK2_CLIP_INCENDIARY weapon_combatmg_mk2","COMPONENT_COMBATMG_CLIP_02 weapon_combatmg","COMPONENT_AT_SCOPE_MEDIUM weapon_combatmg",
"COMPONENT_CARBINERIFLE_MK2_CLIP_ARMORPIERCING weapon_carbinerifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_carbinerifle_mk2",
"COMPONENT_ASSAULTRIFLE_MK2_CLIP_FMJ weapon_assaultrifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_assaultrifle_mk2",
"COMPONENT_SPECIALCARBINE_MK2_CLIP_INCENDIARY weapon_specialcarbine_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_specialcarbine_mk2",
"COMPONENT_BULLPUPRIFLE_MK2_CLIP_ARMORPIERCING weapon_bullpuprifle_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_bullpuprifle_mk2",
"COMPONENT_ADVANCEDRIFLE_CLIP_02 weapon_advancedrifle","COMPONENT_AT_SCOPE_SMALL weapon_advancedrifle",
"COMPONENT_PUMPSHOTGUN_MK2_CLIP_EXPLOSIVE weapon_pumpshotgun_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_pumpshotgun_mk2",
"COMPONENT_ASSAULTSHOTGUN_CLIP_02 weapon_assaultshotgun",
"COMPONENT_SMG_MK2_CLIP_HOLLOWPOINT weapon_smg_mk2","COMPONENT_AT_SCOPE_SMALL_SMG_MK2 weapon_smg_mk2",
"COMPONENT_ASSAULTSMG_CLIP_02 weapon_assaultsmg","COMPONENT_AT_SCOPE_MACRO weapon_assaultsmg",
"COMPONENT_PISTOL_MK2_CLIP_HOLLOWPOINT weapon_pistol_mk2","COMPONENT_AT_PI_RAIL weapon_pistol_mk2",
"COMPONENT_SNSPISTOL_MK2_CLIP_FMJ weapon_snspistol_mk2","COMPONENT_AT_PI_RAIL_02 weapon_snspistol_mk2",
"COMPONENT_REVOLVER_MK2_CLIP_INCENDIARY weapon_revolver_mk2","COMPONENT_AT_SCOPE_MACRO_MK2 weapon_revolver_mk2",
"COMPONENT_MICROSMG_CLIP_02 weapon_microsmg"
}    --space between attachment/component and weapon it goes on

Config.MissionLengthMinutes = 60
Config.MissionNoTimeout = false



--turn safehouses off/on
Config.UseSafeHouse = true
Config.UseSafeHouseCrateDrop = true
Config.UseSafeHouseBanditoDrop = true
Config.SafeHouseCost = 2000
Config.SafeHouseCostVehicle = 2000
Config.SafeHouseCostCrate = 2000
Config.SafeHouseSniperExplosiveRoundsGiven = 8 --default in game is 40. Alter this for some balance
Config.SafeHouseVehiclesMaxClaim = 3 --how many vehicles a player can claim per mission
Config.SafeHouseTimeTillNextUse = 180000 --3 minutes default 
Config.SafeHouseGiveImmediately = true --disable countdown
Config.SafeHousePedDoctors = {"s_m_m_doctor_01","a_f_y_business_02","u_f_y_princess"}
Config.SafeHousePedLeaders = {"s_m_y_blackops_02","s_m_y_blackops_01","s_m_y_blackops_03"}
Config.SafeHouseProps = {"v_ilev_liconftable_sml"}--{"ex_prop_crate_expl_bc"}
Config.SafeHousePedWeapons = {0x83BF0278,0x05FC3C11}

--pawns player to the current mission safehouse when they spawn/respawn
Config.TeleportToSafeHouseOnSpawn = true
Config.TeleportToSafeHouseOnMissionStart = false


--NOTE, WHEN SAFEHOUSES TURNED ON. For regular missions, place vehicles without 'id2' attribute in Vehicles= {} to also create safehouse vehicles for players
--**They need to be placed after any 'id2' NPC vehicles**
Config.SafeHouseVehicleCount = 5
Config.SafeHouseAircraftCount = 2
Config.SafeHouseBoatCount = 3

--Makes NPC planes (not helis) head towards to the safe house location if UseSafe=true and TeleportToSafeHouseOnMissionStart=true
--This is a little hack to make spawned planes stay in the air.
Config.SafeHousePlaneAttack = true

--combat pistol ->supressor, extended clip
--weapon_pistol_mk2 -> hollow point, scope
--weapon_snspistol_mk2 ->fmj rounds, scope
--weapon_revolver_mk2 -> incendiary, scope
--heavysniper_mk2 ->  explosive rounds, advanced scope
--marksmanrifle_mk2 ->  fmj (anti-vehicle) rounds
--heaversniper ->  advanced scope
--combatmg_mk2 -> scope, incendiary rounds
--combatmg,-> extend clip, scope
--weapon_carbinerifle_mk2 -> armor piercing rounds, scope
--weapon_assaultrifle_mk2 -> fmj rounds, scope
--weapon_specialcarbine_mk2 -> incendiary, scope
--weapon_bullpuprifle_mk2 -> armor piercing, scope
--weapon_advancedrifle --> extended, scope
--weapon_pumpshotgun_mk2 --> explosive, scope
--weapon_assaultshotgun -->, extended clip
--weapon_smg_mk2 -> hollow point,scope,
--weapon_assaultsmg -> extended clip, scope
--weapon_microsmg -> extended clip

Config.SpawnSafeHousePickups = {"WEAPON_COMBATPISTOL","weapon_heavysniper_mk2","weapon_marksmanrifle_mk2","weapon_heavysniper","weapon_combatmg_mk2","weapon_combatmg",
"weapon_carbinerifle_mk2","weapon_assaultrifle_mk2","weapon_specialcarbine_mk2","weapon_bullpuprifle_mk2","weapon_advancedrifle","weapon_pumpshotgun_mk2","weapon_assaultshotgun",
"weapon_smg_mk2","weapon_assaultsmg","weapon_pistol_mk2","weapon_snspistol_mk2","weapon_revolver_mk2","WEAPON_KNIFE","GADGET_NIGHTVISION","WEAPON_GRENADE","WEAPON_PROXMINE","WEAPON_STICKYBOMB","WEAPON_PIPEBOMB","WEAPON_FLARE",
"weapon_molotov","weapon_hominglauncher","WEAPON_RPG","GADGET_PARACHUTE","weapon_microsmg"
}
Config.SpawnSafeHouseComponents = {"COMPONENT_AT_PI_SUPP WEAPON_COMBATPISTOL","COMPONENT_COMBATPISTOL_CLIP_02 WEAPON_COMBATPISTOL","COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_MAX weapon_heavysniper_mk2",
"COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
--"COMPONENT_AT_SCOPE_THERMAL weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_LARGE_FIXED_ZOOM_MK2 weapon_marksmanrifle_mk2","COMPONENT_MARKSMANRIFLE_MK2_CLIP_FMJ weapon_marksmanrifle_mk2","COMPONENT_AT_SCOPE_MAX weapon_heavysniper",
"COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_combatmg_mk2","COMPONENT_COMBATMG_MK2_CLIP_INCENDIARY weapon_combatmg_mk2","COMPONENT_COMBATMG_CLIP_02 weapon_combatmg","COMPONENT_AT_SCOPE_MEDIUM weapon_combatmg",
"COMPONENT_CARBINERIFLE_MK2_CLIP_ARMORPIERCING weapon_carbinerifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_carbinerifle_mk2",
"COMPONENT_ASSAULTRIFLE_MK2_CLIP_FMJ weapon_assaultrifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_assaultrifle_mk2",
"COMPONENT_SPECIALCARBINE_MK2_CLIP_INCENDIARY weapon_specialcarbine_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_specialcarbine_mk2",
"COMPONENT_BULLPUPRIFLE_MK2_CLIP_ARMORPIERCING weapon_bullpuprifle_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_bullpuprifle_mk2",
"COMPONENT_ADVANCEDRIFLE_CLIP_02 weapon_advancedrifle","COMPONENT_AT_SCOPE_SMALL weapon_advancedrifle",
"COMPONENT_PUMPSHOTGUN_MK2_CLIP_EXPLOSIVE weapon_pumpshotgun_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_pumpshotgun_mk2",
"COMPONENT_ASSAULTSHOTGUN_CLIP_02 weapon_assaultshotgun",
"COMPONENT_SMG_MK2_CLIP_HOLLOWPOINT weapon_smg_mk2","COMPONENT_AT_SCOPE_SMALL_SMG_MK2 weapon_smg_mk2",
"COMPONENT_ASSAULTSMG_CLIP_02 weapon_assaultsmg","COMPONENT_AT_SCOPE_MACRO weapon_assaultsmg",
"COMPONENT_PISTOL_MK2_CLIP_HOLLOWPOINT weapon_pistol_mk2","COMPONENT_AT_PI_RAIL weapon_pistol_mk2",
"COMPONENT_SNSPISTOL_MK2_CLIP_FMJ weapon_snspistol_mk2","COMPONENT_AT_PI_RAIL_02 weapon_snspistol_mk2",
"COMPONENT_REVOLVER_MK2_CLIP_INCENDIARY weapon_revolver_mk2","COMPONENT_AT_SCOPE_MACRO_MK2 weapon_revolver_mk2",
"COMPONENT_MICROSMG_CLIP_02 weapon_microsmg"
} 


Config.SafeHouseVehicles = 

{
	"dune3",
	"kuruma2",
	"insurgent3",
	"khanjali",
	"blazer5",
	"oppressor2",
	"oppressor",
	"apc",
}


Config.SafeHouseAircraft = 

{
"hydra",
"havok",
"thruster",
"avenger",

}
--used for IsRandomSpawnAnywhere missions, for when the random position is on water.
Config.SafeHouseBoat = 

{
"dinghy4",
"seashark",
"toro2",
"jetmax",
}


--vehicles where NPC passengers get out of near players or IsDefendPlayerObjectives
--NEEDS TO BE IN UPPERCASE:
--[[Config.RandomMissionTransportVehicles = {
BRICKADE={},
BUS={},
COACH={},
WASTELANDER={},
TITAN={},
LUXOR={},
LUXOR2={},
MILJET={},
BARRACKS={},
BARRACKS3={},
CARGOBOB={},
CARGOBOB2={},
CARGOBOB3={},
CARGOBOB4={}
}
]]--


--reset safehouse access when player respawns?
--really need to use ESX& database to stop 
--players disconnecting and reconnecting
--to record.
Config.ResetSafeHouseOnRespawn = false
--do we also reset the safe house for the next mission?
Config.ResetSafeHouseOnNewMission = false

--when going to safehouse for mission equipment armor and 
--health will also add armor to model, give super jump 
-- and fast sprint
----THESE ARE NOT SUPPORTED PER MISSION ONLY GLOBAL:
Config.SafeHouseCrackDownMode = true
Config.SafeHouseCrackDownModeHealthAmount = 5000
----
--for IsRandom=true
--For Below:
--set to true to use Config.SafeHouseLocations
--overrides normal mission and IsRandom
--location BlipS and MarkerS.
Config.UseSafeHouseLocations = true
Config.SafeHouseLocations = {

	--Los Santos Airport
	{
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = -1694.94, y = -3152.18, z = 23.32}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -1694.94, y = -3152.18, z = 24.32},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1469.37, y = -2967.27, z = 13.3}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	},
	
	--Desert Airstrip
	{
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = 1731.94, y = 3308.24, z = 41.22}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = 1731.94, y = 3308.24, z = 41.22},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = 1480.63, y = 3167.93, z = 40.99}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 1481.84, y = 3873.37, z = 30.04}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	},	
	
	--Military Base
	
	{
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = {x = -2108.16, y = 3275.45, z = 38.73}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -2108.16, y = 3275.45, z = 38.73},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -2451.21, y = 3134.29, z = 32.82, heading = 156.25}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = -3238.09, y = 3380.0, z = 0.18}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	},	

	
}


--Config.UseESX=false    

--List of vehicles with their seatids
--**You can seatids to auto-fill passengers as well, not just turrets**
--**All vehicle seats for all vehicles get auto-populated for NPCs**
--**Use this to override that, to set only certain seatids**
Config.VehicleTurretSeatIds = {
	apc = {0},
	barrage = {0,1,2},
	halftrack = {0,1},
	dune3 = {0},
	insurgent = {0,1,2,3,4,5,6,7},
	insurgent3 = {0,1,2,3,4,5,6,7},
	technical = {0,1},
	technical2 = {0,1},
	technical3 = {0,1},
	limo2 = {0,1,2,3},
	menacer = {0,1,2,3},
	boxville5 = {0,1,2,3},
	toro2={0,1,2,3},
	--tampa3={0},
	valkyrie={0,1,2,3,4}, --how many seatids? 
	valkyrie2={0,1,2,3,4}, --how many seatids? 
	buzzard2={0,1,2,3,4}, --how many seatids? 
	maverick={0,1,2,3,4}, --how many seatids? 
	akula={0,1}, --how many seatids? 
	caracara = {0,1,2,3},
	ruiner2 = {0},
	nightshark = {0,1,2},
	dinghy4 = {0,1,2,3},
	pounder2 = {0,1,2,3,4,5,6,7},
	brutus = {0},
	bombushka = {0,1,2,3,4},
	--avenger = {0,1,2,3},
}


--will spawn with AA trailer
--has to be these vehicles: https://gta.fandom.com/wiki/Anti-Aircraft_Trailer
Config.TowVehicles = {
"nightshark"

} 


--**Nerfs are DEPRECATED EXCEPT FOR NerfValkyrieHelicopterCannon**, all fire patterns are done per vehicle in doVehicleMods function now in client.lua:
--make the cannon on the Valkyrie Helicopter shoot much slower
Config.NerfValkyrieHelicopterCannon = true
--make the cannon on the APC shoot much slower like a tank
Config.NerfAPCCannon = false
--make the cannon on the khanjali and rhino tanks shooter more like a tank
Config.NerfTankCannon = false
--make all other turrets in any other vehicle nerfed? (burst shots vs 30-50 rounds at a time)
Config.NerfTurrets = false
--make any driver control weapons nerfed?
Config.NerfDriverTurrets = false
---


--Fast firing peds
Config.FastFiringPeds = true

--Configure Boss health. Chance to appear in IsRandom missions with RandomMissionBossChance
--in regular missions, use isBoss=true
Config.BossHealth = 1000 

--**START RANDOM MISSION GENERATOR SETTINGS**--
Config.RandomMissionSpawnRadius = 50.0 --keep a float for enemy ped wandering to work
Config.RandomMissionMaxPedSpawns = 30
Config.RandomMissionMinPedSpawns = 15
Config.RandomMissionBossChance = 5
Config.RandomMissionMaxVehicleSpawns = 4
Config.RandomMissionMinVehicleSpawns = 1
Config.RandomMissionChanceToSpawnVehiclePerTry = 100
Config.RandomMissionAircraftChance = 25

--forces only land spawns for random anywhere missions
Config.RandomMissionDoLandBattle = true

Config.StartMessageObj = "Capture the objective!"
Config.FinishMessageObj = "Mission Completed!"
Config.MissionTitleObj = "Takeover"
Config.MissionMessageObj = "Capture the objective!"	
	
Config.StartMessageAss = "Eliminate the targets!"
Config.FinishMessageAss = "Mission Completed!"
Config.MissionTitleAss = "Elimination"
Config.MissionMessageAss = "Eliminate the targets"	
	


Config.RandomMissionTypes = {"Assassinate","Objective"}


Config.RandomMissionWeapons = {0x1B06D571,0xBFE256D4,0x88374054,0xCB96392F,0x5EF9FEC4,0xE284C527,0x83BF0278,0xBFEFFF6D,0xD205520E,0x13532244,
0x2BE6766B, 0x2BE6766B, 0xEFE7E2DF,0x0A3D4D34,0xDB1AA450,0xBD248B55,0x1D073A89,0x555AF99A,0x7846A318,0xE284C527,0x9D61E50F,0x3AABBBAA,0xEF951FBB,
 0x12E82D3D,0x42BF8A85,0x42BF8A85,0x42BF8A85,0xC734385A,0xBFEFFF6D,0x42BF8A85,
 0xBFEFFF6D,0xBFEFFF6D,0x394F415C,0x394F415C,0x83BF0278,0x83BF0278,0xFAD1F1C9,0xFAD1F1C9,0xAF113F99,0xC0A3098D,0x969C3D67,0x7F229F94,0x84D6FAFD,
 0x624FE830,0x9D07F764,0x7FD62962,0xDBBD7280,0x61012683,0x83BF0278,0x83BF0278,0x83BF0278,0xBFEFFF6D,0xBFEFFF6D,0x394F415C,0x394F415C,0xC0A3098D,
 0x969C3D67,0x05FC3C11,0x05FC3C11,0x05FC3C11,0xB1CA77B1,0xB1CA77B1,0xB1CA77B1,0x63AB0442,0x63AB0442,0x63AB0442,0xB1CA77B1,0x0781FE4A,0x0781FE4A,
 0x0C472FE2,0x0C472FE2,0xC1B3C3D1,0xC1B3C3D1,0xEFE7E2DF,0xEFE7E2DF
 
 }
 
 --what do peds in vehicles carry? Use drive-by weapons like micro-smg
Config.RandomMissionVehicleWeapons = {0x13532244}

--IsRandom -> IsDefend -> IsDefendTarget configuration
Config.IsDefendTargetRescue = true
Config.IsDefendTargetMaxHealth = 600 --need to make this a little higher
--Config.IsDefendTargetMaxArmor = 100 --just give armor = 100

Config.IsDefendTargetRandomPeds = {"ig_bankman","a_f_y_business_02","u_f_y_princess","ig_tomepsilon"}

Config.IsDefendTargetRandomPedWeapons = {0xE284C527,0x83BF0278,0xBFEFFF6D}



Config.IsDefendTargetRandomVehicles = {	
"kuruma2",
}


Config.IsDefendTargetRandomAircraft = {
"hydra",
"lazer",
"strikeforce"
}

Config.IsDefendTargetRandomBoat = {
"dinghy4",
"seashark",
"toro2",
"marquis",
"jetmax"
}


 --randomlocation.DefendTargetInVehicle
--.DefendTargetVehicleIsAircraft
--.DefendTargetVehicleIsBoat

Config.RandomMissionPositions = { 

{ x = -973.87, y = -273.67, z = 38.26, MissionTitle="Arcade"}, --cul de sac near studios
 
{ x = -1102.97, y = -424.98, z = 44.37, MissionTitle="News Studio" }, --news channel/studio building roof
{ x = -1223.9, y = -493.83, z = 31.51, MissionTitle="Back Alley" }, --news channel/studio in cul de sac

{ x = 2840.52, y = -1449.96, z = 11.95, MissionTitle="The Island"}, --island

{ x = 1074.41, y = 3072.94, z = 40.82, MissionTitle="Desert Airstrip"}, --desert airstrip

{x = -149.29, y = -960.51, z = 269.13, MissionTitle="High Rise"}, --construction tower

{ x = -1393.62, y = -2562.09, z = 13.95, MissionTitle="Airport" }, --airport

{ x = 137.07, y = -3204.05, z = 5.86,  MissionTitle="Docks" }, --walkers docks
{ x = -1828.32, y = -1218.22, z = 13.03, MissionTitle="The Pier" }, --pier

{ x = -547.74, y = -1477.3, z = 10.14, MissionTitle="Freeway Hideaway" }, --center greenery	

{ x = 1485.24, y = -2358.31, z = 72.44, MissionTitle="Oil Fields" }, --oilfields


{ x = 58.43, y = -1133.28, z = 29.34, MissionTitle="Street Smart"}, --los santos road
{ x = -808.9, y = -1302.95, z = 5.0, MissionTitle="Marina" }, --yacht club

{ x = 31.0, y = -767.1, z = 44.24, MissionTitle="Business District" }, --center los santos

{ x = 1874.74, y = 299.22, z = 162.82, MissionTitle="Resevoir" }, --resevoir

{ x = 1373.59, y = -739.58, z = 67.23, MissionTitle="Suburban Sprawl"}, --cul de sac

{ x = 1150.09, y = 124.3, z = 82.12, MissionTitle="Race Track"}, --race track

--'force = true' stops ray trace checking for spawn points for peds and vehicles, so peds/vehicles can spawn underneath structures... near the spawn location 
--this also means that peds/vehicles can spawn hidden in buildings, so this forces the mission type to be "Objective"
--{ x = -177.69, y = -165.11, z = 44.03, MissionTitle="Concierge Service", force=true}, --hotel north los santos 

{ x = -2237.38, y = 266.45, z = 174.62, MissionTitle="The Ritz" },
 --ritz hotel

{ x = -412.9, y = 1170.53, z = 325.84, MissionTitle="Observatory"}, --observatory

{ x = 756.1, y = 1284.89, z = 360.3, MissionTitle="Vinewood" }, --vinewood sign

{ x = -1907.85, y = 2037.05, z = 140.74, MissionTitle="Wine Country"}, --vineyard

{ x = -1833.24, y = 2152.89, z = 115.7, MissionTitle="Vinery"}, --vineyard 2

{ x = -2548.21, y = 2705.28, z = 2.84, MissionTitle="Secret Bunker" }, --outside base

{ x = -2405.68, y = 4253.63, z = 9.82, MissionTitle="Point Break"}, --nw beach

{ x = 57.0, y = 3717.01, z = 39.75, MissionTitle="Trailer Park"},--lost caravans
{ x = 1816.42, y = 3794.64, z = 33.65, MissionTitle="Dust Bowl"}, --south salton
{ x = 1313.35, y = 4327.67, z = 38.21, MissionTitle="Fish Monger" }, --north salton

{ x = 3572.73, y = 3665.03, z = 33.89, MissionTitle="The Complex"}, --humane labs

{ x = 3803.26, y = 4462.52, z = 4.75, MissionTitle="Getaway" }, --north east coast

{ x = -1122.74, y = 4924.89, z = 218.67, MissionTitle="Compound"  }, --cult

{ x = -578.96, y = 5321.1, z = 70.21, MissionTitle="Sawmill" }, --sawmill

{ x = -31.49, y = 6441.9, z = 31.43, MissionTitle="Community Chest"  }, --parking lot uppoer NW

{ x = 28.76, y = 6216.7, z = 31.54, MissionTitle="Railyard"  }, --by railyard upper nw
{ x = 1429.43, y = 6517.94, z = 18.91, MissionTitle="Scenic Route"  }, --uppper coast


}



--{{ x = 1074.41, y = 3072.94, z = 40.82},{ x = 302.86, y = 4373.86, z = 51.61 }, { x = -2074.59, y = 1475.03, z = 275.15 }, {x = 1657.106, y = 428.6742, z = 245.6912}}
Config.RandomMissionPeds = {"s_m_y_ammucity_01","s_m_y_xmech_02","U_M_Y_Tattoo_01","g_m_m_chicold_01","s_m_y_dealer_01","g_m_y_lost_01","g_m_y_lost_02","g_m_y_lost_03","s_m_y_xmech_02_mp","s_m_y_robber_01","g_f_y_lost_01","u_f_y_bikerchic"}

--juggernauts will spawn with railgun others minigun:
Config.RandomMissionBossPeds = {"ig_clay","mp_m_exarmy_01","ig_josef","ig_ramp_mex","ig_terry","mp_m_bogdangoon","mp_m_weapexp_01","csb_jackhowitzer","u_m_y_juggernaut_01","u_m_y_juggernaut_01","ig_cletus","u_m_y_juggernaut_01"} --csb_jackhowitzer, u_m_y_juggernaut_01 
Config.RandomMissionFriendlies = {"a_f_m_tourist_01","a_m_y_vinewood_03","a_m_m_tourist_01","a_m_y_genstreet_01","a_f_o_genstreet_01","a_m_y_genstreet_02","a_f_y_genhot_01"}
Config.RandomMissionVehicles = {	
	"apc",
	"barrage",
	"halftrack",
	"dune3",
	"insurgent",
	"insurgent3",
	"technical",
	"technical2",
	"technical3",
	"limo2",
	"menacer",
	"rhino",
	"khanjali",
	"trailersmall2",
	"tampa3",
	"caracara",
	"blazer4",
	"bf400",
	"mule4",
	"kuruma2",
	"brutus",
	"nightshark",
	"bruiser",
	"dominator4",
	"impaler2",
	"imperator",
	"zr380",
	"issi4",
	"deathbike",
	"oppressor",
	"scarab",
	"slamvan4",
	"speedo4",
	"oppressor2",
	"boxville5",
	"crusader",
	"pounder2",
	"trailerlarge",
}

--Config.RandomMissionVehicles = {

	--"thruster",
--}


Config.RandomMissionAircraft = {
"hydra",
"lazer",
"strikeforce",
"valkyrie",
"valkyrie2",
"buzzard2",
"maverick",
"valkyrie2",
"akula",
"starling",
"mogul",
"rogue",
"nokota",
"molotok",
"tula",
"pyro",
"seabreeze",

}
--used for IsRandomSpawnAnywhere missions, for when the random position is on water.
Config.RandomMissionBoat = {
"dinghy4",
"seashark",
"toro2",
"jetmax",
"technical2",
"blazer5",
"apc",
}

Config.RandomMissionProps = {
	"ba_prop_battle_crate_m_hazard",
	"imp_prop_impexp_boxcoke_01",
	"ex_prop_crate_expl_sc",
	"sm_prop_smug_crate_l_narc",
	"ex_prop_crate_money_sc",
	"ex_prop_crate_jewels_racks_sc",
	"prop_large_gold",
	"xm_prop_crates_sam_01a",
	"prop_drop_crate_01_set",
	"prop_box_ammo03a_set2",
	"prop_biotech_store",
	"prop_air_cargo_04c",
	"prop_air_cargo_04a",
	"hei_prop_carrier_bombs_1",
	"ex_prop_crate_narc_sc",
	"prop_weed_pallet",
	"prop_cash_crate_01",
	"prop_box_ammo03a_set",
	"hei_prop_heist_weed_pallet_02",
	"hei_prop_carrier_cargo_05b"
	
	
	}


--**END RANDOM MISSION GENERATOR SETTINGS**--


Config.Missions = {

  Mission1 = {
    --only around 98 characters will display for these messages
    StartMessage = "Mercenaries for hire have taken over a construction site~n~for ransom. Secure it!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Blackwater",
	MissionMessage = "Go to the construction site and secure it from the mercenaries",
	MissionSpaceTime = 10000,
	Type = "Objective",
	--FinishedObjectiveReward = 10000,
	--KillReward = 150,
	--SpawnMissionPickups = {"WEAPON_CARBINERIFLE","WEAPON_COMBATPISTOL","WEAPON_KNIFE","GADGET_NIGHTVISION"},
	--SpawnRewardPickups = {"WEAPON_RPG","WEAPON_COMBATPISTOL","WEAPON_KNIFE","GADGET_PARACHUTE"},    
	--SpawnMissionComponents = {"COMPONENT_AT_PI_SUPP WEAPON_COMBATPISTOL"}, --space between attachment/component and weapon it goes on
	--SpawnRewardComponents = {"COMPONENT_AT_PI_FLSH WEAPON_COMBATPISTOL"},   --space between attachment/component and weapon it goes on


    Blip = {
      Title = "Objective",
      Position = { x = -146.84, y = -1080.72, z = 42.02 },
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -146.84, y = -1080.72, z = 41.02 },
      Size     = {x = 5.0, y = 5.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = -1694.94, y = -3152.18, z = 23.32}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
	},	
		MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -1694.94, y = -3152.18, z = 23.32},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
	},
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1469.37, y = -2967.27, z = 13.3}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
	},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
	},
	
    Peds = {
        -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
        {id = 1, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -187.2, y = -1091.96, z = 27.16, heading = 27.16},
        {id = 2, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 30.14, heading = 82.01,wanderinarea=true},
        {id = 3, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 30.14, heading = 60.94,wanderinarea=true},
        {id = 4, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 30.14, heading = 3.31448912620544,},
        {id = 5, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 30.14, heading = 3.31448912620544},
        {id = 6, Weapon = 0xB1CA77B1, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 36.13, heading = 82.01,},
        {id = 7, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 36.13, heading = 60.94,wanderinarea=true},
        {id = 8, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 36.13, heading = 3.31448912620544},
        {id = 9, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 36.13, heading = 3.31448912620544,wanderinarea=true},
        {id = 10, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -179.47, y = -1078.39, z = 42.13, heading = 82.01,wanderinarea=true},
        {id = 11, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -173.8, y = -1062.78, z = 42.13, heading = 60.94,},
        {id = 12, Weapon = 0x63AB0442, modelHash = "s_m_y_ammucity_01", x = -160.2, y = -1067.93, z = 42.13, heading = 3.31448912620544},
        {id = 13, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = -165.83, y = -1083.26, z = 42.13, heading = 3.31448912620544},
		
    },

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
      {id = 1, id2 = 1, Vehicle = "rhino", modelHash = "s_m_y_ammucity_01", x = -203.92, y = -1096.21, z = 21.16, heading = 143.9},
	  {id = 2, id2 = 2, Vehicle = "trailersmall2", modelHash = "s_m_y_ammucity_01", x = -187.1, y = -1100.09, z = 42.14, heading = 68.51},
	 {id = 3, id2 = 3, Vehicle = "trailersmall2", modelHash = "s_m_y_ammucity_01", x = -140.47, y = -1091.98, z = 42.14, heading = 250.11},
	  {id = 4, id2 = 4, Vehicle = "hydra", modelHash = "s_m_y_ammucity_01",x = -161.65, y = -1077.89, z = 42.14+20, heading = 70.54,driving=true,pilot=true,isAircraft=true},
	  {id = 5, id2 = 5, Vehicle = "trailersmall2", modelHash = "s_m_y_ammucity_01", x = -175.84, y = -1060.36, z = 42.14, heading = 20.14},
   
   	  --{id = 6,  Vehicle = "insurgent",x = 2929.89, y = 4715.79, z = 50.24, heading = -27.45},
	 -- {id = 7,  Vehicle = "blazer4",  x = 2907.93, y = 4703.54, z = 49.38, heading = 287.97},
   
   }
  },
  Mission2 = {
    
    StartMessage = "The Church of Chantixology are holding~n~TV nature specialist Des Proud captive~n~Go rescue him!",
	FinishMessage = "Des Proud is free!",
	MissionTitle = "OT VIII",
	MissionMessage = "Rescue TV celebrity Des Proud. He is being held captive at a Church of Chantixology mansion",	
	Type = "Objective",	
	--TargetKillReward = 1500, 
	--KillReward = 150,

    Blip = {
      Title = "Objective",
      Position = { x = -138.08, y = 869.04, z = 232.69},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -138.08, y = 869.04, z = 231.69}, -- x = -138.08, y = 869.04, z = 231.69 --{ x = -2953.18, y = 9.74, z = 7.5 }, x = -2948.57, y = 2.08, z = 7.45
      Size     = {x = 5.0, y = 5.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = 1731.94, y = 3308.24, z = 41.22}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
	},	
	MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = 1731.94, y = 3308.24, z = 40.22},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
	},
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = 1480.63, y = 3167.93, z = 40.99}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
	},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 1481.84, y = 3873.37, z = 30.04}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
	},
	
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
	
    },

	Pickups = {
		--{ id=1, Name = "PICKUP_WEAPON_ASSAULTRIFLE", Amount = 1.0, Position = { x = -2953.06, y = 10.81, z = 7.96, heading = 232.22 }},
	},
	MissionPickups = {
	--{ id=1, Name = "PICKUP_WEAPON_COMBATMG", Amount = 1.0, Position = { x = -2944.06, y = 10.81, z = 7.96, heading = 232.22 }},
		
		
	},	
		
	

    Peds = {
        
        {id = 1, modelHash = "ig_orleans", x = -131.59, y = 867.9, z = 232.69, heading = 118.57,friendly=true,invincible=true},
		{id = 2,   modelHash = "ig_hunter",x = -134.69, y = 870.42, z = 232.69, heading = 120.14,friendly=true,invincible=true},
		
		{id = 3,  Weapon= 0xE284C527,  modelHash = "mp_m_boatstaff_01",x = -139.44, y = 869.89, z = 232.7, heading = 234.04,wanderinarea=true},
		
		{id = 4,Weapon= 0x83BF0278,   modelHash = "mp_m_boatstaff_01",x = -131.01, y = 858.56, z = 232.7, heading = 83.48},
		
		{id = 5, Weapon= 0x05FC3C11,  modelHash = "mp_m_boatstaff_01",x = -152.33, y = 885.71, z = 233.46, heading = 204.08 },
		
		{id = 6, Weapon= 0x05FC3C11, modelHash = "mp_m_boatstaff_01",x = -169.3, y = 895.02, z = 233.47, heading = 75.65,wanderinarea=true},
		
		{id = 7, Weapon= 0x63AB0442,  modelHash = "mp_m_boatstaff_01",x = -133.26, y = 899.14, z = 235.66, heading = 272.01},
		
		{id = 8, Weapon= 0xBFEFFF6D,  modelHash = "mp_m_boatstaff_01",x = -128.11, y = 903.51, z = 235.76, heading = 247.05,wanderinarea=true},
		
   
    },

    Vehicles = {
    
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2  
		{id = 1, id2 = 1, Vehicle = "trailersmall2", nomods=true, modelHash = "mp_m_boatstaff_01",  x = -180.47, y = 854.62, z = 232.7, heading = 136.03},	  
	  --{id = 1, id2 = 1, Vehicle = "khanjali", modelHash = "s_m_y_ammucity_01",  x = -2970.94, y = 5.36, z = 6.6, heading = 244.62,driving=true,pilot=true},
	  --{id = 1, id2 = 1, Vehicle = "hydra", modelHash = "s_m_y_ammucity_01",  x = -2970.94, y = 5.36, z = 6.6, heading = 244.62,driving=true,pilot=true},
	  --{id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true,flee=true},
    }
  } ,
  Mission3 = {
    
    StartMessage = "Mercenaries are assembling~n~to take over Fort Zancudo!~n~Eliminate them",
	FinishMessage = "Mission Accomplished!",
	Type = "Assassinate",
	MissionTitle = "Battle for Fort Zancudo",
	MissionMessage = "Stop the mercenaries from taking over Fort Zancudo",		
	--TargetKillReward = 1500, 
	--KillReward = 150,

    Blip = {
      Title = "Mission Start",
      Position = { x = -2074.59, y = 1475.03, z = 275.15 },
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -2074.59, y = 1475.03, z = 274.15  },
      Size     = {x = 5.0, y = 5.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = {x = -2108.16, y = 3275.45, z = 38.73}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
	},	
	MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -2108.16, y = 3275.45, z = 37.73},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
	},
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -2451.21, y = 3134.29, z = 32.82, heading = 156.25}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
	},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = -3238.09, y = 3380.0, z = 0.18}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
	},

    Peds = {
        
        {id = 1, Weapon = 0x687652CE, modelHash = "s_m_y_ammucity_01", x = -1980.96, y = 1469.05, z = 268.92, heading = 265.89, target=true,wanderinarea=true},
		{id = 2, Weapon = 0x687652CE, modelHash = "s_m_y_ammucity_01", x = -2022.59, y = 1478.8, z = 272.15, heading = 104.57, target=true,wanderinarea=true},
		{id = 3, Weapon = 0x687652CE, modelHash = "s_m_y_ammucity_01", x = -2014.97, y = 1451.01, z = 271.92, heading = 206.34, target=true,wanderinarea=true},
		
   
    },

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
	  
	  --id2 is the primary ped for the vehicles, which gets set to seatid=-1, which is typically the default for a vehicle for the driver.
	  --ExtraPeds will take Peds from the Peds array above and put them in a seatid in this vehicle to partner with the primary ped, as a passenger. 
	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2
      {id = 1, id2 = 1, Vehicle = "trailersmall2", modelHash = "s_m_y_ammucity_01", x = -2060.33, y = 1522.0, z = 281.4, heading = 347.35, target=true},
	  {id = 2, id2 = 2, Vehicle = "trailersmall2", modelHash = "s_m_y_ammucity_01",  x = -2049.6, y = 1430.96, z = 275.81, heading = 212.78, target=true},
	  {id = 3, id2 = 3, Vehicle = "trailersmall2", modelHash = "s_m_y_ammucity_01",  x = -2127.29, y = 1470.08, z = 284.56, heading = 240.86, target=true},
	  
	  {id = 4, id2 = 4, Vehicle = "khanjali", modelHash = "s_m_y_ammucity_01",  x = -2103.88, y = 1494.37, z = 282.54, heading = 240.44, target=true,driving=true},
	  {id = 5, id2 = 5, Vehicle = "rhino", modelHash = "s_m_y_ammucity_01",  x = -2034.77, y = 1497.24, z = 276.13, heading = 147.64, target=true,driving=true},
	  
	  {id = 6, id2 = 6, Vehicle = "valkyrie", modelHash = "s_m_y_ammucity_01",  x = -1971.82, y = 1460.12, z = 268.38 + 50, heading = 252.11,driving=true,pilot=true, target=true,isAircraft=true},
	  {id = 7, id2 = 7, Vehicle = "hydra", modelHash = "s_m_y_ammucity_01",  x = -2096.12, y = 1483.89, z = 279.16 + 50, heading = 97.67,driving=true,pilot=true, target=true,isAircraft=true},
	  {id = 8, Vehicle = "barrage", modelHash = "s_m_y_ammucity_01",  x = -2053.69, y = 1557.33, z = 274.87, heading = 70.73},	  --leave out the id2, and the vehicle the player can use. It will disappear when the mission is over.
	  
	 
    }
  },
  
   Mission4 = {
    
    StartMessage = "Mercenaries for hire have captured another~n~construction site for ransom. Eliminate them!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Takedown",
	MissionMessage = "Eliminate the mercenaries who have held the construction site for ransom",	
	Type = "Assassinate",	

    Blip = {
      Title = "Objective",
      Position = { x = 0.30, y = -399.48, z = 39.43 },
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = 0.30, y = -399.48, z = 38.43 },
      Size     = {x = 5.0, y = 5.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = -1694.94, y = -3152.18, z = 23.32}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -1694.94, y = -3152.18, z = 23.32},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1469.37, y = -2967.27, z = 13.3}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},

    Peds = {
        -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
        {id = 1, Weapon = 0x63AB0442, modelHash = "s_m_y_ammucity_01", x = 4.82, y = -393.00, z = 39.40, heading = 338.78, armor=100, target=true},
       {id = 2, Weapon =  0xB1CA77B1, modelHash = "s_m_y_ammucity_01", x = 3.56, y = -387.80, z = 39.43, heading = 289.46, heading = 82.01, armor=100,target=true},
        {id = 3, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = 7.51, y = -386.08, z = 39.33, heading = 308.95, armor=100, target=true},
		{id = 4, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = 8.51, y = -386.08, z = 39.33, heading = 308.95, armor=100, target=true},
		{id = 5, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = 9.51, y = -386.08, z = 39.33, heading = 308.95, armor=100, target=true},
		{id = 6, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = 10.51, y = -386.08, z = 39.33, heading = 308.95, armor=100, target=true},
		{id = 7, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = 11.51, y = -386.08, z = 39.33, heading = 308.95, armor=100, target=true},
		{id = 7, Weapon = 0x83BF0278, modelHash = "s_m_y_ammucity_01", x = 11.51, y = -386.08, z = 39.33, heading = 308.95, armor=100, target=true},
		{id = 8, Weapon = 0x63AB0442, modelHash = "s_m_y_ammucity_01", x = 12.51, y = -386.08, z = 39.33, heading = 308.95, armor=100, target=true},
 
    },

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
	  
	  --id2 is the primary ped for the vehicles, which gets set to seatid=-1, which is typically the default for a vehicle for the driver.
	  --ExtraPeds will take Peds from the Peds array above and put them in a seatid in this vehicle to partner with the primary ped, as a passenger. 
	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2
      {id = 1, id2 = 1, Vehicle = "insurgent3",Weapon=0x13532244, modelHash = "s_m_y_ammucity_01", x = 0.30, y = -399.48, z = 39.43, heading = 10.41, armor=100, movespeed=20.0, target=true, flee=true, driving=true, conqueror=true},
    }
  },
  
  Mission5 = {
    
    StartMessage = "A maniac on coke has stolen a supercar~n~and an exotic dancer and is running over people~n~Stop him!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Wonderland",
	MissionMessage = "Take out the maniac hit and run driver and rescue the stripper if possible",		
	Type = "Assassinate",	

    Blip = {
      Title = "Mission Start",
      Position = {x = 275.7607, y = 1686.501, z = 237.8363},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = 275.7607, y = 1686.501, z = 236.8363 },
      Size     = {x = 5.0, y = 5.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = 1731.94, y = 3308.24, z = 41.22}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = 1731.94, y = 3308.24, z = 40.22},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = 1480.63, y = 3167.93, z = 40.99}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 1481.84, y = 3873.37, z = 30.04}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},

    Peds = {
        -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
        {id = 1, modelHash = "S_F_Y_StripperLite", x = 275.7607, y = 1686.501, z = 237.8363, heading = 338.78, armor=100, friendly=true},
 
    },

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
	  
	  --id2 is the primary ped for the vehicles, which gets set to seatid=-1, which is typically the default for a vehicle for the driver.
	  --ExtraPeds will take Peds from the Peds array above and put them in a seatid in this vehicle to partner with the primary ped, as a passenger. 
	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2
      {id = 1, id2 = 1, Weapon =0x2BE6766B, Vehicle = "kuruma2", noFill=true, modelHash = "IG_TylerDix",ExtraPeds={{id=1,seatid=0}}, x = 275.7607, y = 1686.501, z = 237.8363, heading = 162.26272, armor=100, target=true, driving=true, movespeed=120.0, flee=true,conqueror=true},
    }
  },
  
  Mission6 = {
    
    StartMessage = "Rescue the Governor!~n~Find his secret dossier before the radicals do!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Escape From Los Santos",
	MissionMessage = "The Governor's plane was brought down by radicals. Retrieve his secret dossier for ransom",	
	Type = "Objective",	
	--TargetKillReward = 1500, 
	--KillReward = 150,
	HostageKillPenalty=5000,
	HostageRescueReward = 5000,
    Blip = {
      Title = "Objective",
      Position = {x = -184.57, y = -893.92, z = 29.34}, 
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = {x = -184.57, y = -893.92, z = 27.34}, 
      Size     = {x = 7.0, y = 7.0, z = 2.5},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = -1694.94, y = -3152.18, z = 23.32}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -1694.94, y = -3152.18, z = 23.32},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1469.37, y = -2967.27, z = 13.3}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
		{ id=1, realId=1, Name = "apa_mp_apa_crashed_usaf_01a", Position = { x = -184.57, y = -893.92, z = 29.34, heading = 67.37 },dontsetheading=true},
		{ id=2, realId=2, Name = "prop_jet_bloodsplat_01", Position = { x = -184.96, y = -901.75, z = 29.34, heading = 361.48 },dontsetheading=true},
		{ id=3, realId=3, Name = "prop_laptop_lester2", Position = { x = -187.42, y = -892.78, z = 29.34, heading = 257.95 },dontsetheading=true},
		{ id=3, realId=3, Name = "xm_prop_x17_corpse_01", Position = {x = -182.48, y = -891.75, z = 29.34, heading = -1.28 },dontsetheading=true},
    },

	Pickups = {
	},
	MissionPickups = {
		
	},	
		

    Peds = {
        -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
        {id = 1,  modelHash = "IG_Paper",  x = -186.03, y = -891.08, z = 29.34, heading = 49.44, friendly=true},
		{id = 2,  realId=2, Weapon = 0x05FC3C11, modelHash = "G_M_M_ChiCold_01", x = -228.69, y = -914.71, z = 32.31, heading = 295.14},
		{id = 3,  realId=3, Weapon = 0xBFEFFF6D, modelHash = "s_m_y_xmech_02", x = -228.69, y = -914.71, z = 32.31, heading = 295.14},
       {id = 4, Weapon = 0x05FC3C11, modelHash = "G_M_M_ChiCold_01",  x = -134.69, y = -873.15, z = 44.21, heading = 103.3},
      {id = 5, Weapon = 0xB1CA77B1, modelHash = "s_m_y_xmech_02",x = -137.42, y = -867.44, z = 44.21, heading = 97.35},
	   {id = 6, Weapon = 0x83BF0278, modelHash = "U_M_Y_Tattoo_01", x = -149.76, y = -855.38, z = 45.03, heading = 4.42},
       {id = 7, Weapon = 0xEFE7E2DF, modelHash = "G_M_M_ChiCold_01", x = -141.88, y = -835.48, z = 44.14, heading = 59.95},
       {id = 8, Weapon = 0xBFEFFF6D, modelHash = "IG_Terry",x = -146.09, y = -857.15, z = 44.24, heading = 149.91},
        {id = 9, Weapon = 0xAF113F99, modelHash = "G_M_M_ChiCold_01", x = -126.59, y = -889.57, z = 44.2, heading = 180.91},
        {id = 10, Weapon = 0x63AB0442, modelHash = "U_M_Y_MilitaryBum", x = -106.92, y = -896.75, z = 45.58, heading = 212.85},
        {id = 11, Weapon = 0x83BF0278, modelHash = "U_M_Y_Tattoo_01",  x = -91.24, y = -905.26, z = 44.34, heading = 179.98},
       {id = 12, Weapon = 0x83BF0278, modelHash = "s_m_y_xmech_02",  x = -222.45, y = -925.26, z = 30.15, heading = 247.56},
       {id = 13, Weapon =  0x83BF0278, modelHash = "G_M_M_ChiCold_01", x = -165.96, y = -931.28, z = 32.99, heading = 134.78},
       
	   {id = 14, Weapon =  0x0C472FE2, modelHash = "CSB_Chin_goon", x = -91.79, y = -893.78, z = 44.22, heading = 331.01 },
        {id = 15, Weapon = 0x83BF0278, modelHash = "G_M_M_ChiCold_01", x = -129.99, y = -852.73, z = 44.22, heading = 307.19},
		
       {id = 16, Weapon = 0x05FC3C11, modelHash = "U_M_Y_Tattoo_01", x = -192.68, y = -830.22, z = 30.83, heading = 309.78},		
		{id = 17, Weapon = 0xAF113F99, modelHash = "CSB_Cletus", x = -202.63, y = -860.75, z = 30.27, heading = 231.88},		
		{id = 18, Weapon = 0x05FC3C11, modelHash = "U_M_Y_MilitaryBum", x = -231.49, y = -851.53, z = 30.68, heading = 154.04},		
		 {id = 19, Weapon = 0x42BF8A85, modelHash = "CSB_Chin_goon", x = -162.67, y = -924.13, z = 29.29, heading = 41.64},		
		 {id = 20, Weapon = 0x687652CE, modelHash = "s_m_y_xmech_02", x = -135.33, y = -928.82, z = 29.24, heading = 280.32},		
		 {id = 21, Weapon = 0xB1CA77B1, modelHash = "U_M_Y_Tattoo_01", x = -101.75, y = -898.91, z = 29.26, heading = 169.85 },		
		 {id = 22, Weapon = 0x05FC3C11, modelHash = "U_M_Y_MilitaryBum",  x = -122.46, y = -888.78, z = 29.33, heading = 111.7},

		 {id = 23, Weapon = 0x05FC3C11, modelHash = "IG_Wade", x = -176.88, y = -892.69, z = 29.34, heading = 253.02},	
		 {id = 24, Weapon = 0x5EF9FEC4, modelHash = "A_M_Y_SouCent_03",   x = -188.44, y = -888.66, z = 29.35, heading = 80.19},	
		 {id = 25, Weapon = 0x05FC3C11, modelHash = "G_M_M_ChiCold_01",   x = -188.3, y = -905.77, z = 29.36, heading = 162.03},

		 {id = 25, Weapon = 0x7FD62962, modelHash = "CSB_Cletus",  x = -143.8, y = -862.58, z = 29.99, heading = 129.62},
		{id = 26, Weapon =  0x2BE6766B, modelHash = "A_M_Y_SouCent_03",  x = -133.85, y = -878.61, z = 29.58, heading = 125.04},	
		
		{id = 27, Weapon =  0x2BE6766B, modelHash = "s_m_y_ammucity_01",  x = -190.4, y = -891.32, z = 29.34, heading = 312.46, dead=true },	
		{id = 28, Weapon =  0x2BE6766B, modelHash = "s_m_y_ammucity_01", x = -187.69, y = -885.32, z = 29.4, heading = 1.64,dead=true},	
		{id = 29, Weapon =  0x2BE6766B, modelHash = "s_m_y_ammucity_01",  x = -178.75, y = -901.38, z = 29.36, heading = 186.85,dead=true},	
		
		
		
    },


    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	  --{id = 1, id2 = 1, Vehicle = "cavalcade", modelHash = "s_m_y_ammucity_01",  x = -2970.94, y = 5.36, z = 6.6, heading = 244.62},
	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
    }
  } ,
  
   Mission7 = {
    
    StartMessage = "A UFO crashed where that UFO cult worships~n~Check it out before the FIB does!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Bad Taste",
	MissionMessage = "Investigate the UFO crash site and take what you can before the FIB gets there",	
	Type = "Objective",	
	--TargetKillReward = 1500, 
	--KillReward = 150,
	SpawnRewardPickups = {"weapon_railgun"},    

    Blip = {
      Title = "Objective",
      Position = {x = 1657.106, y = 428.6742, z = 245.6912},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = {x = 1657.106, y = 428.6742, z = 244.6912}, 
      Size     = {x = 7.0, y = 7.0, z = 10.5},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = 1731.94, y = 3308.24, z = 41.22}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = 1731.94, y = 3308.24, z = 40.22},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = 1480.63, y = 3167.93, z = 40.99}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 1481.84, y = 3873.37, z = 30.04}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
		{ id=1, realId=1, Name = "gr_prop_damship_01a", Position = {x = 1657.106, y = 428.6742, z = 245.6912, heading = 224.7846},dontsetheading=true},
		
		--gibs
		{ id=2, Name = "v_ilev_body_parts", Position = { x = 1630.22, y = 428.15, z = 251.69, heading = 353.62}},
		{ id=3, Name = "xm_prop_x17_corpse_03", Position = {x = 1635.0, y = 438.27, z = 250.07, heading = 79.43}},
		{ id=4,  Name = "v_ilev_body_parts", Position = {x = 1664.32, y = 428.17, z = 244.51, heading = 248.94}},
		{ id=5,  Name = "xm_prop_x17_corpse_03", Position = {x = 1673.0, y = 402.67, z = 245.63, heading = 238.18 }},
		{ id=6, Name = "v_ilev_body_parts", Position = {x = 1661.93, y = 437.68, z = 245.38, heading = 261.63 }},
		{ id=7, Name = "v_ilev_body_parts", Position = { x = 1652.93, y = 443.85, z = 247.71, heading = 73.47}},
		{ id=8, Name = "xm_prop_x17_corpse_03", Position = {x = 1656.9, y = 418.33, z = 246.06, heading = 170.5}},
		{ id=9,  Name = "prop_alien_egg_01", Position = { x = 1655.69, y = 427.67, z = 245.93, heading = 378.88}},
		{ id=10,  Name = "prop_alien_egg_01", Position = {x = 1657.02, y = 431.15, z = 245.82, heading = 225.31 }},
		{ id=11, Name = "prop_alien_egg_01", Position = { x = 1659.31, y = 428.12, z = 245.31, heading = 54.46 }},		
    },
	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
    Peds = {
	


	
	
	
        -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
		{id = 1,  Weapon = 0x6D544C99,  modelHash = "s_m_m_movalien_01",   x = 1659.31, y = 428.12, z = 245.31, heading = 54.46 },
		{id = 2,  Weapon = 0x6D544C99,  modelHash = "s_m_m_movalien_01",   x = 1645.85, y = 423.42, z = 248.08, heading = 114.23},
		{id = 3,  Weapon = 0x6D544C99,  modelHash = "s_m_m_movalien_01",   x = 1655.56, y = 436.08, z = 246.49, heading = 377.0},
		{id = 4,  Weapon = 0x6D544C99,  modelHash = "s_m_m_movalien_01",   x = 1666.97, y = 426.35, z = 244.23, heading = 258.76},
		{id = 5,  Weapon = 0x6D544C99,  modelHash = "s_m_m_movalien_01",   x = 1707.88, y = 374.8, z = 235.5, heading = 163.28},
		{id = 6,  Weapon = 0x6D544C99,  modelHash = "s_m_m_movalien_01",   x = 1636.67, y = 390.01, z = 254.54, heading = 231.38},
		{id = 7,  Weapon = 0x6D544C99,  modelHash = "s_m_m_movalien_01",   x= 1632.32, y = 458.72, z = 250.38, heading = 36.5},
		{id = 8,  Weapon = 0x6D544C99,  modelHash = "s_m_m_movalien_01",   x = 1664.22, y = 462.28, z = 247.59, heading = 317.14},
		
		{id = 9,  modelHash = "A_F_M_FatCult_01",  x = 1649.88, y = 436.38, z = 247.5, heading = 265.43, dead=true},
		{id = 10,  modelHash = "A_M_M_ACult_01",  x = 1649.88, y = 436.38, z = 247.5, heading = 265.43, dead=true},
		{id = 11,  modelHash = "A_M_Y_ACult_02",  x = 1649.88, y = 436.38, z = 247.5, heading = 265.43, dead=true},
		{id = 12,  modelHash = "A_M_Y_ACult_02",  x = 1649.88, y = 436.38, z = 247.5, heading = 265.43, dead=true},
		{id = 13,  modelHash = "A_M_M_ACult_01",  x = 1649.88, y = 436.38, z = 247.5, heading = 265.43, dead=true},
		
		
   
		
    },
	
    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
    }
  } ,
  
   Mission8 = {
    
    StartMessage = "A corporate jet trafficking drugs was shot down~n~by a rival faction~n~Secure the narcotics!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Contra III: The Drug Wars",
	MissionMessage = "Secure the narcotics from the smuggler's jet that was shot down",	
	Type = "Objective",	
	--TargetKillReward = 1500, 
	--KillReward = 150,

    Blip = {
      Title = "Objective",
      Position = {x = 302.86, y = 4373.86, z = 51.61},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = {x = 302.86, y = 4373.86, z = 50.61}, 
      Size     = {x = 7.0, y = 7.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = 1731.94, y = 3308.24, z = 41.22}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = 1731.94, y = 3308.24, z = 40.22},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = 1480.63, y = 3167.93, z = 40.99}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 1481.84, y = 3873.37, z = 30.04}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},	
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
	
	{ id=1,  Name = "prop_shamal_crash", Position = {x = 302.86, y = 4373.86, z = 51.61, heading = 68.35},dontsetheading=true},
	{ id=2,  Name = "prop_drug_package", Position = { x = 299.68, y = 4376.15, z = 51.39, heading = 84.56 }},	
	{ id=3,  Name = "prop_drug_package", Position = { x = 300.2, y = 4374.17, z = 51.38, heading = 33.03 }},
	{ id=4,  Name = "prop_drug_package", Position = { x = 305.34, y = 4374.89, z = 52.0, heading = 209.16 }},	

    },

	Pickups = {
	},
	MissionPickups = {
		
	},	
		
    Peds = {
	
        -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
		{id = 1,  Weapon = 0x687652CE,  modelHash = "G_M_M_ChiCold_01",   x = 308.16, y = 4385.77, z = 55.02, heading = 156.5,wanderinarea=true },
		{id = 2,  Weapon = 0x83BF0278,  modelHash = "A_M_M_EastSA_02",   x = 308.16, y = 4385.77, z = 55.02, heading = 156.5 },
		
		{id = 3,  Weapon = 0x83BF0278,  modelHash = "s_m_y_xmech_02",   x = 285.49, y = 4351.96, z = 49.05, heading = 326.71 },
		
		{id = 4,  Weapon = 0x05FC3C11,  modelHash = "A_M_M_EastSA_02",   x = 307.16, y = 4385.77, z = 55.02, heading = 156.5,wanderinarea=true },
		
		{id = 5,  Weapon = 0x63AB0442,  modelHash = "CSB_Chin_goon",   x = 305.16, y = 4385.77, z = 55.02, heading = 56.5 },
		
		{id = 6,  Weapon = 0xB1CA77B1,  modelHash = "A_M_Y_SouCent_03",   x = 308.16, y = 4382.77, z = 55.02, heading = 156.5 },
	
    },
	
    Vehicles = {
	
      
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	  {id = 1, id2 = 1, Weapon = 0x687652CE, Vehicle = "barrage", modelHash = "G_M_M_ChiCold_01", ExtraPeds={{id=2,seatid=0}}, x = 295.32, y = 4350.68, z = 49.71, heading = 366.66},
	
    }
  } ,
  
  Mission9 = {
    
    StartMessage = "A mercenary helicoptor was shot down hauling ammo~n~Get the ammunition before the mercs do!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Anyone in Cherno?",
	MissionMessage = "Get the supplies from the crashed helicopter before the mercs secure it",	
	Type = "Objective",	
	--TargetKillReward = 1500, 
	--KillReward = 150,

    Blip = {
      Title = "Objective",
      Position = { x = -1161.0, y = 4569.94, z = 142.64},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -1161.0, y = 4569.94, z = 141.64}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = {x = -2108.16, y = 3275.45, z = 38.73}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -2108.16, y = 3275.45, z = 37.73},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -2451.21, y = 3134.29, z = 32.82, heading = 156.25}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = -3238.09, y = 3380.0, z = 0.18}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
	
		{ id=1,  Name = "sm_prop_smug_heli", Position = { x = -1161.0, y = 4569.94, z = 142.64, heading = 145.22 }},
		{ id=2,  Name = "hei_prop_heist_ammo_box", Position = { x = -1159.15, y = 4568.47, z = 142.55, heading = 150.05 }},
		{ id=3,  Name = "hei_prop_heist_ammo_box", Position = { x = -1162.83, y = 4571.43, z = 142.91, heading = 337.43 }},
		{ id=4,  Name = "hei_prop_heist_ammo_box", Position = { x = -1163.04, y = 4568.09, z = 142.67, heading = 254.89 }},
	
	
    },
	
	
	



	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
	
		{id = 1,  Weapon = 0x05FC3C11,  modelHash = "S_M_M_ChemSec_01",   x = -1170.34, y = 4597.04, z = 177.27, heading = 280.45 },
		{id = 2,  Weapon = 0x05FC3C11,  modelHash = "S_M_M_ChemSec_01",   x = -1209.82, y = 4585.97, z = 196.22, heading = 37.46},
		{id = 3,  Weapon = 0x05FC3C11,  modelHash = "S_M_M_ChemSec_01",   x = -1181.61, y = 4611.21, z = 172.68, heading = 57.46 },
		{id = 4,  Weapon = 0x687652CE,  modelHash = "S_M_M_ChemSec_01",  x = -1127.46, y = 4617.7, z = 153.66, heading = 161.84},
		{id = 5,  Weapon = 0x63AB0442,  modelHash = "S_M_M_ChemSec_01",  x = -1122.56, y = 4585.95, z = 137.82, heading = 234.6},
		{id = 6,  Weapon = 0xBFEFFF6D,  modelHash = "S_M_M_ChemSec_01",   x = -1159.03, y = 4555.89, z = 140.66, heading = 283.2},
		{id = 7,  Weapon = 0xAF113F99,  modelHash = "S_M_M_ChemSec_01",  x = -1173.78, y = 4564.25, z = 140.33, heading = 273.92 },
		{id = 8,  Weapon = 0x83BF0278,  modelHash = "S_M_M_ChemSec_01",    x = -1165.78, y = 4570.29, z = 142.66, heading = 254.67},
		{id = 9,  Weapon = 0xBFEFFF6D,  modelHash = "S_M_M_ChemSec_01",    x = -1157.42, y = 4573.4, z = 142.85, heading = 204.36},

		
    },
	
	

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	  {id = 1, id2 = 1, Vehicle = "valkyrie", modelHash = "S_M_M_ChemSec_01",  x = -1166.42, y = 4641.5, z = 145.11, heading = 210.07,driving=true,pilot=true,isAircraft=true},
	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
    }
  } ,
  
  Mission10 = {
    
	StartMessage = "Stop the bandits from taking over the oil fields!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Fury Road",
	MissionMessage = "Stop the bandits from taking over the oil fields",	
	--Type = "Assassinate",	
	Type = "Assassinate",	
	--TargetKillReward = 150, 
	--KillReward = 150,
	IsDefend = true,

    Blip2 = {
      Title = "Mission End",
      Position = {x = 1453.72, y = -2282.69, z = 67.47}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },
	Blip = {
      Title = "Bandit Location",
      Position = { x = 1564.8, y = 3221.98, z = 40.4}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = -1694.94, y = -3152.18, z = 22.32}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -1694.94, y = -3152.18, z = 23.32},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1469.37, y = -2967.27, z = 13.3}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},

    Marker = {
      Type     = 1,
      Position = {x = 1453.72, y = -2282.69, z = 67.47},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 150.0, y = 150.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 200.0,
    },
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
	
	
    },
	

	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
	
		{id = 1,  Weapon = 0x13532244,  modelHash = "u_m_y_zombie_01",  x = 1046.11, y = 3061.58, z = 41.93, heading = 372.55,notzed=true,target=true,},
		{id = 2,  Weapon = 0x13532244,  modelHash = "u_m_y_zombie_01",   x = 1047.11, y = 3061.58, z = 41.93, heading = 372.55,notzed=true,target=true},
		{id = 3,  Weapon = 0x13532244, modelHash = "u_m_y_zombie_01",  x = 1048.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true},
		{id = 4,  Weapon = 0x13532244, modelHash = "u_m_y_zombie_01",  x = 1049.11, y = 3061.58, z = 41.93, heading = 372.55,notzed=true,target=true},
		{id = 5,  Weapon = 0x13532244, modelHash = "u_m_y_zombie_01",  x = 1050.11, y = 3061.58, z = 41.93, heading = 372.55,notzed=true,target=true},
		{id = 6,  Weapon = 0x13532244,  modelHash = "u_m_y_zombie_01",  x = 1051.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true},
		{id = 7, Weapon = 0x13532244, modelHash = "u_m_y_zombie_01",   x = 1052.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true},
		{id = 8, Weapon = 0x13532244, modelHash = "u_m_y_zombie_01",   x = 1053.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true,conqueror=true},
		{id = 9, Weapon = 0x2BE6766B, modelHash = "u_m_y_zombie_01",   x = 1054.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true,conqueror=true},
		{id = 10, Weapon = 0x2BE6766B, modelHash = "u_m_y_zombie_01",   x = 1055.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true,conqueror=true},
			

		
		
    },
	
	

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	{id = 1, id2 = 1, Weapon= 0x13532244, Vehicle = "phantom2", modelHash = "u_m_y_zombie_01",ExtraPeds={{id=1,seatid=0}}, x = 1693.43, y = 3252.58, z = 40.91, heading = 283.22,notzed=true,target=true,conqueror=true}, --movetocoord={ x = 1453.72, y = -2282.69, z = 67.47},
	{id = 2, id2 = 2, Weapon= 0x13532244, Vehicle = "limo2", modelHash = "u_m_y_zombie_01",  x = 1716.09, y = 3263.64, z = 41.14, heading = 287.06,notzed=true,target=true,conqueror=true},
	{id = 3, id2 = 3, Weapon= 0x13532244, Vehicle = "barrage", modelHash = "u_m_y_zombie_01",x = 1675.94, y = 3235.49, z = 40.71, heading = 280.06, notzed=true,target=true,conqueror=true},
	{id = 4, id2 = 4, Weapon= 0x13532244, Vehicle = "gargoyle", modelHash = "u_m_y_zombie_01",  x = 1633.08, y = 3235.96, z = 40.41, heading = 280.53, notzed=true,target=true,conqueror=true},
	{id = 5, id2 = 5, Weapon= 0x13532244, Vehicle = "dukes2", modelHash = "u_m_y_zombie_01", ExtraPeds={{id=2,seatid=0}}, x = 1601.39, y = 3219.89, z = 40.41, heading = 281.29, notzed=true,target=true,conqueror=true},
	{id = 6, id2 = 6, Weapon= 0x13532244, Vehicle = "tampa3", modelHash = "u_m_y_zombie_01", x = 1564.8, y = 3221.98, z = 40.44, heading = 279.78, notzed=true,target=true,conqueror=true},
	{id = 7, id2 = 7, Weapon= 0x13532244, Vehicle = "ratbike", modelHash = "u_m_y_zombie_01",  x = 1530.94, y = 3195.49, z = 40.43, heading = 283.06, notzed=true,target=true,conqueror=true},
	{id = 8, id2 = 8, Weapon= 0x13532244, Vehicle = "sanctus", modelHash = "u_m_y_zombie_01",  x = 1507.08, y = 3207.04, z = 40.45, heading = -80.67, notzed=true,target=true,conqueror=true},
{id = 9, id2 = 9, Weapon= 0x13532244, Vehicle = "dune4", modelHash = "u_m_y_zombie_01", ExtraPeds={{id=3,seatid=0}}, x = 1718.96, y = 3258.17, z = 41.13, heading = 284.77 , notzed=true,target=true,conqueror=true},
		{id = 10, id2 = 10, Weapon= 0x13532244, Vehicle = "dune3", modelHash = "u_m_y_zombie_01",ExtraPeds={{id=4,seatid=0}}, x = 1480.56, y = 3181.15, z = 40.44, heading = 279.9, notzed=true,target=true,conqueror=true},
		{id = 11, id2 = 11, Weapon= 0x13532244, Vehicle = "dune2", modelHash = "u_m_y_zombie_01", ExtraPeds={{id=5,seatid=0}},x = 1443.97, y = 3190.27, z = 40.45, heading = 281.69, notzed=true,target=true,conqueror=true},
		{id = 12, id2 = 12, Weapon= 0x13532244, Vehicle = "dune", modelHash = "u_m_y_zombie_01", ExtraPeds={{id=6,seatid=0}}, x = 1062.02, y = 3084.72, z = 41.17, heading = 286.88, heading = 278.93, notzed=true,target=true,conqueror=true},
		{id = 13, id2 = 13, Weapon= 0x13532244, Vehicle = "technical2", modelHash = "u_m_y_zombie_01",  x = 1421.18, y = 3162.42, z = 40.47, heading = 280.8 , notzed=true,target=true,conqueror=true},
		{id = 14, id2 = 14, Weapon= 0x13532244, Vehicle = "technical2", modelHash = "u_m_y_zombie_01",ExtraPeds={{id=7,seatid=0}},x = 1376.34, y = 3172.96, z = 40.46, heading = 280.96, notzed=true,target=true,conqueror=true},
	{id = 15, id2 = 15, Weapon= 0x13532244, Vehicle = "boxville5", modelHash = "u_m_y_zombie_01",x = 1345.56, y = 3142.1, z = 40.47, heading = -78.9, notzed=true,target=true,conqueror=true},
	
	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
    }
  },
  

  
   Mission11 = {
    
	StartMessage = "The miners dug too greedily.~n~They awoke something in the darkness~n~Find the lost treasure!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Hollow Earth Theory",
	MissionMessage = "Find and retrieve the legendary lost treasure from the abandoned mine",	
	Type = "Objective",	
	--TargetKillReward = 150, 
	--KillReward = 150,
	SpawnRewardPickups = {"weapon_rayminigun","weapon_raypistol","weapon_firework"},    

    Blip = {
      Title = "Objective",
      Position = {  x = -595.88, y = 2088.7, z = 131.41},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -423.38, y = 2064.82, z = 118.99}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = 1731.94, y = 3308.24, z = 41.22}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = 1731.94, y = 3308.24, z = 40.22},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = 1480.63, y = 3167.93, z = 40.99}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 1481.84, y = 3873.37, z = 30.04}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
		{ id=1, realId=1, Name = "prop_idol_01_error", Position = {x = -423.91, y = 2064.71, z = 120.03, heading = 278.44}}, --prop_idol_case
	
    },
	

	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
	
		{id = 1,  Weapon = 0x476BF155,  modelHash = "ig_orleans",  x = -461.9, y = 2057.86, z = 121.63, heading = 203.57,armor=500},
		{id = 2,  Weapon = 0xAF3696A1,  modelHash = "ig_orleans",  x = -463.17, y = 2056.08, z = 121.79, heading = 205.38,armor=500},
		{id = 3,  Weapon = 0x476BF155, modelHash = "ig_orleans",   x = -456.42, y = 2052.18, z = 122.36, heading = 154.51,armor=500 },
		{id = 4,  Weapon = 0xAF3696A1, modelHash = "ig_orleans",   x = -449.67, y = 2057.85, z = 122.07, heading = 120.81,armor=500},
		{id = 5,  Weapon = 0x476BF155, modelHash = "ig_orleans",   x = -436.34, y = 2062.19, z = 121.36, heading = 101.34 ,armor=500},
	{id = 6,  Weapon = 0xAF3696A1,  modelHash = "ig_orleans",x = -428.27, y = 2064.24, z = 120.64, heading = 106.58 ,armor=500},
		{id = 7, Weapon = 0x476BF155, modelHash = "ig_orleans", x = -428.8, y = 2063.0, z = 120.72, heading = 100.6,armor=500},

		
    },
	
	

    Vehicles = {

	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
    }
  },


	
 Mission12 = {
    
 	StartMessage = "New Mission",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Takeover",
	MissionMessage = "New Mission",	
	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Capture the objective!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Takeover",
	MissionMessageObj = "Capture the objective!",	
	
	StartMessageAss = "Eliminate the targets!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Elimination",
	MissionMessageAss = "Eliminate the targets",	
	RandomMissionDoLandBattle=false, --needed for pier npcs to spawn!
	Type = "Objective",	
	RandomMissionTypes ={"Objective"},
	IsRandom = true,
	--RandomMissionTypes ={"Objective"},	
	--Config.RandomMissionPositions = { 
--{ x = 57.0, y = 3717.01, z = 39.75, MissionTitle="Trailer Park"},--lost caravans
--}
	--IsDefend = true,
	--IsDefendTarget = true,
	--IsDefendTargetChase = true,
	--IsDefendTargetGotoBlip=true,
	--IsRandomSpawnAnywhere = true,
	--what x and y coordinate range should these mission spawn in?
	--IsRandomSpawnAnywhereCoordRange = {xrange={-3500,4200},yrange={-3700,7700}},
	--RandomLocation = true, --for completely random location.. 
	
	Blip = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },
	
	

    Marker = {
      Type     = 1,
      Position = { x = -10000, y = 0, z = 0}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip
      Title = "Mission Safehouse",
      Position = { x = 137.06, y = -3093.18, z = 4.9}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 417,
      Display  = 4,
      Size     = 1.2,
      Color    = 2,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },	
	 MarkerS = { --safehouse marker
      Type     = 1,
      Position = { x = 137.06, y = -3093.18, z = 4.9},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 117, g = 218, b = 255},
      DrawDistance = 200.0,
    },
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1228.1, y = -2267.77, z = 13.94}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	Props = { 
		--**need a stub entry set for the random prop**
		{ id=1, Name="",Position = { x = 0, y = 0, z = 0, heading = 0 }},
	
    },
	
	Peds = {
		--**need a stub entry set for the random ped hostage for HostageRescue=true**
      {id = 1, Position = { x = 0, y = 0, z = 0, heading = 0 }},
     },
	

	Pickups = {
		
	},
	MissionPickups = {
		
		
	}

  

  },
  
  
   Mission13 = {
    
	StartMessage = "Rescue the witness from the police station!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Assault on Precinct 13",
	MissionMessage = "Stop the terrorists from eliminating the important witness",	
	Type = "Assassinate",	
	--TargetKillReward = 150, 
	--KillReward = 150,
	IsDefend = true,
	IsDefendTarget = true,
	IsDefendTargetRescue = true,
	IsDefendTargetChase = true,	
	

  
	 Blip2 = {
      Title = "Protect the witness",
      Position = { x = 459.26, y = -997.97, z = 24.91},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -423.38, y = 2064.82, z = 118.99}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = -1694.94, y = -3152.18, z = 22.32}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -1694.94, y = -3152.18, z = 23.32},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1469.37, y = -2967.27, z = 13.3}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
		{ id=1, realId=1, Name = "prop_idol_01_error", Position = {x = -423.91, y = 2064.71, z = 120.03, heading = 278.44}}, --prop_idol_case
	
    },
	

	
	Pickups = {
	},
	MissionPickups = {
		
	},
	IsDefendTargetEntity = { --**Uses Blip2 location to spawn... except for heading**
		--Only define 1, Add 'id2' w. 'Vehicle' to add ped to vehicle.
		{id = 1,  Weapon = 0x2BE6766B,  modelHash = "u_f_y_princess", heading = 258.54},
		--{id = 1, id2 = 1, Weapon= 0x2BE6766B, Vehicle = "windsor", modelHash = "ig_bankman",heading = 283.22,}, --movetocoord={  x = 1564.8, y = 3221.98, z = 40.4}
	
	},	
		


    Peds = {
	
		{id = 1,  Weapon = 0x1B06D571,  modelHash = "g_m_y_lost_01", x = 392.22, y = -948.11, z = 29.4, heading = 235.57,armor=500,movespeed=1.0,target=true},
		{id = 2,  Weapon = 0x99B507EA,  modelHash = "g_m_y_lost_02", x = 452.02, y = -939.25, z = 28.52, heading = 174.14,armor=500,movespeed=1.0,target=true},
		{id = 3,  Weapon = 0xCD274149, modelHash = "g_m_y_lost_03", x = 491.22, y = -962.64, z = 27.24, heading = 121.6,armor=500,movespeed=1.0,target=true },
		{id = 4,  Weapon = 0x1B06D571, modelHash = "g_f_y_lost_01", x = 504.32, y = -1019.43, z = 28.01, heading = 90.92,armor=500,movespeed=1.0,target=true},
		{id = 5,  Weapon = 0x99B507EA,  modelHash = "g_m_y_lost_01", x = 479.23, y = -1067.98, z = 29.21, heading = 69.27,armor=500,movespeed=1.0,target=true},
		{id = 6,  Weapon = 0xCD274149,  modelHash = "g_m_y_lost_02",x = 407.46, y = -1068.29, z = 29.36, heading = 355.52 ,armor=500,movespeed=1.0,target=true},
		{id = 7,  Weapon = 0x1B06D571, modelHash = "g_m_y_lost_03", x = 379.15, y = -1033.22, z = 29.31, heading = 313.98,armor=500,movespeed=1.0,target=true },
		--{id = 4,  Weapon = 0x2BE6766B, modelHash = " g_f_y_lost_01",   x = 451.2, y = -984.93, z = 43.69, heading = 274.59,armor=500,movespeed=1},
		--{id = 5,  Weapon = 0x476BF155, modelHash = "ig_orleans",   x = -436.34, y = 2062.19, z = 121.36, heading = 101.34 ,armor=500},
	--{id = 6,  Weapon = 0xAF3696A1,  modelHash = "ig_orleans",x = -428.27, y = 2064.24, z = 120.64, heading = 106.58 ,armor=500},
		--{id = 7, Weapon = 0x476BF155, modelHash = "ig_orleans", x = -428.8, y = 2063.0, z = 120.72, heading = 100.6,armor=500},

		
    },
	

    Vehicles = {

	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
    }
  },


  Mission14 = {
    
	StartMessage = "Help the road warrior survive the bandits!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "The Road Warrior",
	MissionMessage = "Help the road warrior survive the bandits!",	
	--Type = "Assassinate",	
	Type = "Assassinate",	
	--TargetKillReward = 150, 
	--KillReward = 150,
	IsDefend = true,
	IsDefendTarget = true,
	--IsDefendTargetChase = true, --**Peds and vehicles chase target. NOTE: for vehicles to chase, target needs to be in a vehicle**
	IsDefendTargetRescue = true, --**Rescuing the target wins the mission, like a hostage rescue
	--Makes NPCs go to Blip location, and Target go from Blip2 to Blip location, when IsDefendTargetChase=true, NPCs chase Target instead
	IsDefendTargetGotoBlip = true, 

    Blip2 = {
      Title = "Protect the road warrior",
      Position = {x = 1872.28, y = 3219.21, z = 45.4}, --{x = 1453.72, y = -2282.69, z = 67.47},  x = 1872.28, y = 3219.21, z = 45.4
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },
	Blip = {
      Title = "Mission End",
      Position = {x = 1416.86, y = 6591.29, z = 12.92}, --{ x = 1453.72, y = -2282.69, z = 67.47}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 38,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },
    Marker = {
      Type     = 1,
      Position = {x = 1453.72, y = -2282.69, z = 67.47},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 150.0, y = 150.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 200.0,
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = 1731.94, y = 3308.24, z = 41.22}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = 1731.94, y = 3308.24, z = 40.22},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = 1480.63, y = 3167.93, z = 40.99}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 1481.84, y = 3873.37, z = 30.04}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
	
	
    },
	IsDefendTargetEntity = { --**Uses Blip2 location to spawn... except for heading**
		--Only define 1, Add 'id2' w. 'Vehicle' to add ped to vehicle.
		--{id = 1,  Weapon = 0x2BE6766B,  modelHash = "u_f_y_princess", heading = 372.55},
		{id = 1, id2 = 1, Weapon= 0x2BE6766B, Vehicle = "kuruma2", modelHash = "ig_mp_agent14",heading = 283.22,armor=100}, --movetocoord={  x = 1564.8, y = 3221.98, z = 40.4}
	
	},


	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
	
		{id = 1,  Weapon = 0x13532244,  modelHash = "u_m_y_zombie_01",  x = 1046.11, y = 3061.58, z = 41.93, heading = 372.55,notzed=true,target=true,},
		{id = 2,  Weapon = 0x13532244,  modelHash = "u_m_y_zombie_01",   x = 1047.11, y = 3061.58, z = 41.93, heading = 372.55,notzed=true,target=true},
		{id = 3,  Weapon = 0x13532244, modelHash = "u_m_y_zombie_01",  x = 1048.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true},
		{id = 4,  Weapon = 0x13532244, modelHash = "u_m_y_zombie_01",  x = 1049.11, y = 3061.58, z = 41.93, heading = 372.55,notzed=true,target=true},
		{id = 5,  Weapon = 0x13532244, modelHash = "u_m_y_zombie_01",  x = 1050.11, y = 3061.58, z = 41.93, heading = 372.55,notzed=true,target=true},
		{id = 6,  Weapon = 0x13532244,  modelHash = "u_m_y_zombie_01",  x = 1051.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true},
		{id = 7, Weapon = 0x13532244, modelHash = "u_m_y_zombie_01",   x = 1052.11, y = 3061.58, z = 41.93, heading = 372.55 ,notzed=true,target=true},
			
		
		
    },
	
	

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	{id = 1, id2 = 1, Weapon= 0x13532244, Vehicle = "phantom2", modelHash = "u_m_y_zombie_01",ExtraPeds={{id=1,seatid=0}}, x = 1693.43, y = 3252.58, z = 40.91, heading = 283.22,notzed=true,target=true,conqueror=true}, --movetocoord={ x = 1453.72, y = -2282.69, z = 67.47},
	{id = 2, id2 = 2, Weapon= 0x13532244, Vehicle = "limo2", modelHash = "u_m_y_zombie_01",  x = 1716.09, y = 3263.64, z = 41.14, heading = 287.06,notzed=true,target=true,conqueror=true},
	{id = 3, id2 = 3, Weapon= 0x13532244, Vehicle = "barrage", modelHash = "u_m_y_zombie_01",x = 1675.94, y = 3235.49, z = 40.71, heading = 280.06, notzed=true,target=true,conqueror=true},
	{id = 4, id2 = 4, Weapon= 0x13532244, Vehicle = "gargoyle", modelHash = "u_m_y_zombie_01",  x = 1633.08, y = 3235.96, z = 40.41, heading = 280.53, notzed=true,target=true,conqueror=true},
	{id = 5, id2 = 5, Weapon= 0x13532244, Vehicle = "dukes2", modelHash = "u_m_y_zombie_01", ExtraPeds={{id=2,seatid=0}}, x = 1601.39, y = 3219.89, z = 40.41, heading = 281.29, notzed=true,target=true,conqueror=true},
	{id = 6, id2 = 6, Weapon= 0x13532244, Vehicle = "tampa3", modelHash = "u_m_y_zombie_01", x = 1564.8, y = 3221.98, z = 40.44, heading = 279.78, notzed=true,target=true,conqueror=true},
	{id = 7, id2 = 7, Weapon= 0x13532244, Vehicle = "ratbike", modelHash = "u_m_y_zombie_01",  x = 1530.94, y = 3195.49, z = 40.43, heading = 283.06, notzed=true,target=true,conqueror=true},
	{id = 8, id2 = 8, Weapon= 0x13532244, Vehicle = "sanctus", modelHash = "u_m_y_zombie_01",  x = 1507.08, y = 3207.04, z = 40.45, heading = -80.67, notzed=true,target=true,conqueror=true},
{id = 9, id2 = 9, Weapon= 0x13532244, Vehicle = "dune4", modelHash = "u_m_y_zombie_01", ExtraPeds={{id=3,seatid=0}}, x = 1718.96, y = 3258.17, z = 41.13, heading = 284.77 , notzed=true,target=true,conqueror=true},
		{id = 10, id2 = 10, Weapon= 0x13532244, Vehicle = "dune3", modelHash = "u_m_y_zombie_01",ExtraPeds={{id=4,seatid=0}}, x = 1480.56, y = 3181.15, z = 40.44, heading = 279.9, notzed=true,target=true,conqueror=true},
		{id = 11, id2 = 11, Weapon= 0x13532244, Vehicle = "dune2", modelHash = "u_m_y_zombie_01", ExtraPeds={{id=5,seatid=0}},x = 1443.97, y = 3190.27, z = 40.45, heading = 281.69, notzed=true,target=true,conqueror=true},
		{id = 12, id2 = 12, Weapon= 0x13532244, Vehicle = "dune", modelHash = "u_m_y_zombie_01", ExtraPeds={{id=6,seatid=0}}, x = 1062.02, y = 3084.72, z = 41.17, heading = 286.88, heading = 278.93, notzed=true,target=true,conqueror=true},
		{id = 13, id2 = 13, Weapon= 0x13532244, Vehicle = "technical2", modelHash = "u_m_y_zombie_01",  x = 1421.18, y = 3162.42, z = 40.47, heading = 280.8 , notzed=true,target=true,conqueror=true},
		{id = 14, id2 = 14, Weapon= 0x13532244, Vehicle = "technical2", modelHash = "u_m_y_zombie_01",ExtraPeds={{id=7,seatid=0}},x = 1376.34, y = 3172.96, z = 40.46, heading = 280.96, notzed=true,target=true,conqueror=true},
	{id = 15, id2 = 15, Weapon= 0x13532244, Vehicle = "boxville5", modelHash = "u_m_y_zombie_01",x = 1345.56, y = 3142.1, z = 40.47, heading = -78.9, notzed=true,target=true,conqueror=true},
	
	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
    }
  },
  
  
    Mission15 = {
    
	StartMessage = "Protect the secret agent from the terrorists!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Fast and Furious",
	MissionMessage = "Stop the terrorists from eliminating the secret agent who stole their secrets",	
	Type = "Assassinate",	
	--TargetKillReward = 150, 
	--KillReward = 150,
	IsDefend = true,
	IsDefendTarget = true,
	IsDefendTargetRescue = true,
	IsDefendTargetChase = true,	
	
--[[
    Blip = {
      Title = "Mission Start",
      Position = {   x = 44.29, y = 6423.54, z = 31.3},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },]]--
	 Blip2 = {
      Title = "Protect the target",
      Position = { x = 44.29, y = 6423.54, z = 31.3},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -423.38, y = 2064.82, z = 118.99}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = {x = -2108.16, y = 3275.45, z = 37.73}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -2108.16, y = 3275.45, z = 37.73},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -2451.21, y = 3134.29, z = 32.82, heading = 156.25}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = -3238.09, y = 3380.0, z = 0.18}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
		--{ id=1, realId=1, Name = "prop_idol_01_error", Position = {x = -423.91, y = 2064.71, z = 120.03, heading = 278.44}}, --prop_idol_case
	
    },
	

	
	Pickups = {
	},
	MissionPickups = {
		
	},
	IsDefendTargetEntity = { --**Uses Blip2 location to spawn... except for heading**
		--Only define 1, Add 'id2' w. 'Vehicle' to add ped to vehicle.
		--{id = 1,  Weapon = 0x2BE6766B,  modelHash = "ig_mp_agent14", heading = 258.54},
		{id = 1, id2 = 1, Weapon= 0x2BE6766B, Vehicle = "kuruma2", modelHash = "ig_mp_agent14",heading = 132.01,armor=100,driving=true}, --movetocoord={  x = 1564.8, y = 3221.98, z = 40.4}
	
	},	
		


    Peds = {
		--{id = 1,  Weapon = 0x13532244, Vehicle = "tampa3", modelHash = "g_m_y_lost_03", x = 67.76, y = 6444.12, z = 31.3, heading = 133.24,},
		--{id = 2,  Weapon = 0x13532244, Vehicle = "tampa3", modelHash = "g_m_y_lost_02",x = 78.04, y = 6419.11, z = 31.29, heading = 44.07, },
		--{id = 3, Weapon = 0x13532244, Vehicle = "tampa3", modelHash = "g_m_y_lost_01",x = 50.66, y = 6458.93, z = 31.41, heading = 183.7, },
		
	
	--[[
		{id = 1,  Weapon = 0x2BE6766B,  modelHash = "g_m_y_lost_01", x = 392.22, y = -948.11, z = 29.4, heading = 235.57,armor=500,movespeed=1},
		{id = 2,  Weapon = 0x2BE6766B,  modelHash = "g_m_y_lost_02", x = 452.02, y = -939.25, z = 28.52, heading = 174.14,armor=500,movespeed=1},
		{id = 3,  Weapon = 0x2BE6766B, modelHash = "g_m_y_lost_03", x = 491.22, y = -962.64, z = 27.24, heading = 121.6,armor=500,movespeed=1 },
		{id = 4,  Weapon = 0x2BE6766B, modelHash = "g_f_y_lost_01", x = 504.32, y = -1019.43, z = 28.01, heading = 90.92,armor=500,movespeed=1},
		{id = 5,  Weapon = 0x2BE6766B,  modelHash = "g_m_y_lost_01", x = 479.23, y = -1067.98, z = 29.21, heading = 69.27,armor=500,movespeed=1},
		{id = 6,  Weapon = 0x2BE6766B,  modelHash = "g_m_y_lost_02",x = 407.46, y = -1068.29, z = 29.36, heading = 355.52 ,armor=500,movespeed=1},
		{id = 7,  Weapon = 0x2BE6766B, modelHash = "g_m_y_lost_03", x = 379.15, y = -1033.22, z = 29.31, heading = 313.98,armor=500,movespeed=1 },
		]]--
		--{id = 4,  Weapon = 0x2BE6766B, modelHash = " g_f_y_lost_01",   x = 451.2, y = -984.93, z = 43.69, heading = 274.59,armor=500,movespeed=1},
		--{id = 5,  Weapon = 0x476BF155, modelHash = "ig_orleans",   x = -436.34, y = 2062.19, z = 121.36, heading = 101.34 ,armor=500},
	--{id = 6,  Weapon = 0xAF3696A1,  modelHash = "ig_orleans",x = -428.27, y = 2064.24, z = 120.64, heading = 106.58 ,armor=500},
		--{id = 7, Weapon = 0x476BF155, modelHash = "ig_orleans", x = -428.8, y = 2063.0, z = 120.72, heading = 100.6,armor=500},

		
    },
	
	

    Vehicles = {

	 {id = 1, id2 = 1, Weapon = 0x13532244, Vehicle = "tampa3", nomods=true, modelHash = "g_m_y_lost_03", x = 67.76, y = 6444.12, z = 31.3, heading = 133.24, movespeed=120.0, conqueror=true,driving=true,target=true},
	 {id = 2, id2 = 2, Weapon = 0x13532244, Vehicle = "tampa3", nomods=true,  modelHash = "g_m_y_lost_02",x = 78.04, y = 6419.11, z = 31.29, heading = 44.07, movespeed=120.0, conqueror=true,driving=true,target=true},
	 {id = 3, id2 = 3, Weapon = 0x13532244, Vehicle = "tampa3",  nomods=true,  modelHash = "g_m_y_lost_01",x = 50.66, y = 6458.93, z = 31.41, heading = 183.7, movespeed=120.0, conqueror=true,driving=true,target=true},
    }
  },
  
  
   Mission16 = {
    
	StartMessage = "Stop the mercenaries from taking over Los Santos!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Battle for Los Santos",
	MissionMessage = "Stop the mercenaries from taking over Los Santos!",	
	--Type = "Assassinate",	
	Type = "Assassinate",	
	--TargetKillReward = 150, 
	--KillReward = 150,
	IsDefend = true,
    Blip2 = {
      Title = "Mission End",
      Position = { x = -29.44, y = -950.3, z = 29.41}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },
	Blip = {
      Title = "Defend",
      Position = { x = -29.44, y = -950.3, z = 29.41}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },


    Marker = {
      Type     = 1,
      Position = { x = -29.44, y = -950.3, z = 29.41},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 150.0, y = 150.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 200.0,
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = -1694.94, y = -3152.18, z = 23.32}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -1694.94, y = -3152.18, z = 23.32},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1469.37, y = -2967.27, z = 13.3}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
	
	
    },
	

	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
	

    },
	
	
	
	

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	{id = 1, id2 = 1, Weapon= 0x2BE6766B, Vehicle = "khanjali", modelHash = "s_m_y_ammucity_01",x = -909.58, y = -3472.0, z = 13.94, heading = 320.58,target=true,}, --movetocoord={ x = 1453.72, y = -2282.69, z = 67.47},
	{id = 2, id2 = 2, Weapon= 0x2BE6766B, Vehicle = "rhino", modelHash = "s_m_y_ammucity_01",  x = 1255.7, y = -3334.67, z = 5.8, heading = 357.43,target=true,},
	{id = 3, id2 = 3, Weapon= 0x2BE6766B, Vehicle = "khanjali", modelHash = "s_m_y_ammucity_01",  x = 285.41, y = -3304.03, z = 5.62, heading = 352.1, target=true,},
	
	{id = 4, id2 = 4, Weapon= 0x2BE6766B, Vehicle = "rhino", modelHash = "s_m_y_ammucity_01", x = -2616.08, y = 2971.87, z = 16.68, heading = 172.79, target=true,},
	{id = 5, id2 = 5, Weapon= 0x2BE6766B, Vehicle = "khanjali", modelHash = "s_m_y_ammucity_01",x = 216.18, y = 3134.58, z = 42.35, heading = 184.52, target=true,},
	{id = 6, id2 = 6, Weapon= 0x2BE6766B, Vehicle = "rhino", modelHash = "s_m_y_ammucity_01",x = 2906.09, y = 4446.63, z = 48.17, heading = 107.07,target=true,},
	
	{id = 7, id2 = 7, Weapon= 0x2BE6766B, Vehicle = "apc", modelHash = "s_m_y_ammucity_01", x = -385.54, y = 5994.55, z = 31.47, heading = 134.79, target=true,conqueror=true},
	
	{id = 8, id2 = 8, Weapon= 0x2BE6766B, Vehicle = "apc", modelHash = "s_m_y_ammucity_01",  x = 1323.05, y = 6485.61, z = 19.99, heading = 256.07, target=true,conqueror=true},
	
	{id = 9, id2 = 9, Weapon= 0x2BE6766B, Vehicle = "valkyrie", modelHash = "s_m_y_ammucity_01",   x = -101.92, y = -1144.27, z = 550.79, heading = 268.87,movespeed=120.0, driving=true,isAircraft=true,target=true},
	
	{id = 9, id2 = 9, Weapon= 0x2BE6766B, Vehicle = "hydra", modelHash = "s_m_y_ammucity_01",  x = -229.57, y = -670.27, z = 380.46, heading = 78.99,movespeed=120.0, driving=true,isAircraft=true,target=true},

	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
    }
  },
  
  Mission17 = {
    
 	StartMessage = "New Mission",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Takeover",
	MissionMessage = "New Mission",	
	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Capture the objective!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Takeover",
	MissionMessageObj = "Capture the objective!",	
	
	StartMessageAss = "Eliminate the targets!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Elimination",
	MissionMessageAss = "Eliminate the targets",
	Type = "Objective",	
	RandomMissionDoLandBattle = true,
	IsRandom = true,
	--RandomMissionBoat={"apc"},
	--IsDefend = true,
	--IsDefendTarget = true,
	--IsDefendTargetChase = true,
	--IsDefendTargetGotoBlip=true,
	IsRandomSpawnAnywhere = true,
	--what x and y coordinate range should these mission spawn in?
	IsRandomSpawnAnywhereCoordRange = {xrange={-3500,4200},yrange={-3700,7700}},
	--RandomLocation = true, --for completely random location.. 
	
	Blip = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },
	

    Marker = {
      Type     = 1,
      Position = { x = -10000, y = 0, z = 0}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip
      Title = "Mission Safehouse",
      Position = { x = 137.06, y = -3093.18, z = 4.9}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 417,
      Display  = 4,
      Size     = 1.2,
      Color    = 2,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },	
	 MarkerS = { --safehouse marker
      Type     = 1,
      Position = { x = 137.06, y = -3093.18, z = 4.9},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 117, g = 218, b = 255},
      DrawDistance = 200.0,
    },
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1228.1, y = -2267.77, z = 13.94}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	Props = { 
		--**need a stub entry set for the random prop**
		{ id=1, Name="",Position = { x = 0, y = 0, z = 0, heading = 0 }},
	
    },
	
	Peds = {
		--**need a stub entry set for the random ped hostage for HostageRescue=true**
      {id = 1, Position = { x = 0, y = 0, z = 0, heading = 0 }},
     },
	

	Pickups = {
		
	},
	MissionPickups = {
		
		
	}

  

  },
  
  Mission18 = {
    
 	StartMessage = "New Mission",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Extraction",
	MissionMessage = "New Mission",	
	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Capture the objective!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Takeover",
	MissionMessageObj = "Capture the objective!",	
	
	StartMessageAss = "Rescue the target!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Extraction",
	MissionMessageAss = "Rescue the target!",		
	Type = "Assassinate",
	RandomMissionTypes ={"Assassinate"},	
	IsRandom = true,
	IsDefend = true,
	IsDefendTarget = true,
	--IsDefendTargetChase = true,
	IsDefendTargetGotoBlip=true,
	RandomMissionTypes = {"Assassinate"},
	--IsRandomSpawnAnywhere = true,
	--what x and y coordinate range should these mission spawn in?
	IsRandomSpawnAnywhereCoordRange = {xrange={-3500,4200},yrange={-3700,7700}},
	--RandomLocation = true, --for completely random location.. 
	
	Blip = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },
	
	Blip2 = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -10000, y = 0, z = 0}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip
      Title = "Mission Safehouse",
      Position = { x = 137.06, y = -3093.18, z = 4.9}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 417,
      Display  = 4,
      Size     = 1.2,
      Color    = 2,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },	
	 MarkerS = { --safehouse marker
      Type     = 1,
      Position = { x = 137.06, y = -3093.18, z = 4.9},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 117, g = 218, b = 255},
      DrawDistance = 200.0,
    },
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1228.1, y = -2267.77, z = 13.94}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	Props = { 
		--**need a stub entry set for the random prop**
		{ id=1, Name="",Position = { x = 0, y = 0, z = 0, heading = 0 }},
	
    },
	
	Peds = {
		--**need a stub entry set for the random ped hostage for HostageRescue=true**
      {id = 1, Position = { x = 0, y = 0, z = 0, heading = 0 }},
     },
	

	Pickups = {
		
	},
	MissionPickups = {
		
		
	},
	
	RandomMissionPositions = { 
	
	{ x = 58.43, y = -1133.28, z = 29.34, MissionTitle="Extraction",
	Blip2 = {
      Title = "Mission Start",
      Position = { x = -1389.86, y = -388.47, z = 36.7}, -- x = 2365.07, y = 2958.56, z = 49.06 --{ x = 1944.96, y = 3150.6, z = 46.77}, --x = 1345.43, y = 3152.51, z = 40.41
      Icon     = 309,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },

	Blip = { 
      Title = "Defend The Target",
      Position = {x = 103.87, y = -1001.07, z = 29.4}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },	
	
    Marker = {
      Type     = 1,
      Position = {x = 1345.43, y = 3152.51, z = 40.41,},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 10.0, y = 10.0, z = 5.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 200.0,
    },
	DefendTargetInVehicle = true,
	
	
	},
	
	
{ x = 1074.41, y = 3072.94, z = 40.82, MissionTitle="Extraction", 
 
	Blip2 = { 
      Title = "Mission Start",
      Position = { x = 2365.07, y = 2958.56, z = 49.06}, -- x = 2365.07, y = 2958.56, z = 49.06 --{ x = 1944.96, y = 3150.6, z = 46.77}, --x = 1345.43, y = 3152.51, z = 40.41
      Icon     = 309,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },

	Blip = { 
      Title = "Defend The Target",
      Position = {x = 1155.28, y = 3031.23, z = 40.3}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },	
	
    Marker = {
      Type     = 1,
      Position = {x = 1345.43, y = 3152.51, z = 40.41,},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 10.0, y = 10.0, z = 5.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 200.0,
    },
	DefendTargetInVehicle = true,
	--DefendTargetVehicleIsAircraft = true,
	

},  

}
	
	
 },
 

 Mission19 = {
    
 	StartMessage = "New Mission",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Warfare",
	MissionMessage = "New Mission",	
	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Capture the objective!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Warfare",
	MissionMessageObj = "Capture the objective!",	
	
	StartMessageAss = "Eliminate the targets!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Warfare",
	MissionMessageAss = "Eliminate the targets",
	--RandomMissionWeapons = {0x63AB0442},
	
	Type = "Objective",	
	IsRandom = true,
	--IsDefend = true,
	--IsDefendTarget = true,
	--IsDefendTargetChase = true,
	--IsDefendTargetGotoBlip=true,
	IsRandomSpawnAnywhere = true,
	RandomMissionSpawnRadius = 150.0, --keep a float for enemy ped wandering to work
	RandomMissionMaxPedSpawns = 75,
	RandomMissionMinPedSpawns = 50,
	RandomMissionMaxVehicleSpawns = 6,
	RandomMissionMinVehicleSpawns = 3,
	RandomMissionChanceToSpawnVehiclePerTry = 100,
	RandomMissionAircraftChance = 30,
	MissionLengthMinutes = 60,
	SafeHouseVehiclesMaxClaim = 3,
	SafeHouseVehicleCount = 9,
	SafeHouseAircraftCount = 3,
	SafeHouseBoatCount = 3,
	--SafeHouseVehicles ={'rcbandito'},
	--RandomMissionVehicles={"tampa3"},
	--RandomMissionAircraft={"volatol"},	
	--what x and y coordinate range should these mission spawn in?
	IsRandomSpawnAnywhereCoordRange = {xrange={-3500,4200},yrange={-3700,7700}},
	--RandomLocation = true, --for completely random location.. 
	--RandomMissionPeds = {"mp_m_freemode_01"},
	--RandomMissionAircraft = {"bombushka"},
	--RandomMissionVehicles = {"pounder2"},
	
	Blip = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },
	

    Marker = {
      Type     = 1,
      Position = { x = -10000, y = 0, z = 0}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip
      Title = "Mission Safehouse",
      Position = { x = 137.06, y = -3093.18, z = 4.9}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 417,
      Display  = 4,
      Size     = 1.2,
      Color    = 2,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },	
	 MarkerS = { --safehouse marker
      Type     = 1,
      Position = { x = 137.06, y = -3093.18, z = 4.9},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 117, g = 218, b = 255},
      DrawDistance = 200.0,
    },
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1228.1, y = -2267.77, z = 13.94}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	Props = { 
		--**need a stub entry set for the random prop**
		{ id=1, Name="",Position = { x = 0, y = 0, z = 0, heading = 0 }},
	
    },
	
	Peds = {
		--**need a stub entry set for the random ped hostage for HostageRescue=true**
      {id = 1, Position = { x = 0, y = 0, z = 0, heading = 0 }},
     },
	

	Pickups = {
		
	},
	MissionPickups = {
		
		
	}

  

  },

Mission20 = {
    
 	StartMessage = "New Mission",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Extraction",
	MissionMessage = "New Mission",	
	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Capture the objective!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Takeover",
	MissionMessageObj = "Capture the objective!",	
	
	StartMessageAss = "Rescue the target!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Extraction",
	MissionMessageAss = "Rescue the target!",		
	Type = "Assassinate",	
	IsRandom = true,
	RandomMissionTypes ={"Assassinate"},
	IsDefend = true,
	IsDefendTarget = true,
	IsDefendTargetRescue = true,
	IsDefendTargetChase = true,
	--IsDefendTargetGotoBlip=true,
	--TeleportToSafeHouseOnMissionStart = false,
	RandomMissionSpawnRadius = 100.0, --keep a float for enemy ped wandering to work
	RandomMissionMaxPedSpawns = 10,
	RandomMissionMinPedSpawns = 10,
	RandomMissionMaxVehicleSpawns = 0,
	RandomMissionMinVehicleSpawns = 0,
	RandomMissionChanceToSpawnVehiclePerTry = 100,
	RandomMissionAircraftChance = 0,
	RandomMissionWeapons = {0xDD5DF8D9,0x99B507EA,0xCD274149,0x1B06D571},
	--IsRandomSpawnAnywhere = true,
	--what x and y coordinate range should these mission spawn in?
	--RandomLocation = true, --for completely random location.. 
	
	Blip = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },
	
	Blip2 = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = -10000, y = 0, z = 0}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip
      Title = "Mission Safehouse",
      Position = { x = 137.06, y = -3093.18, z = 4.9}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 417,
      Display  = 4,
      Size     = 1.2,
      Color    = 2,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },	
	 MarkerS = { --safehouse marker
      Type     = 1,
      Position = { x = 137.06, y = -3093.18, z = 4.9},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 117, g = 218, b = 255},
      DrawDistance = 200.0,
    },
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1228.1, y = -2267.77, z = 13.94}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	Props = { 
		--**need a stub entry set for the random prop**
		{ id=1, Name="",Position = { x = 0, y = 0, z = 0, heading = 0 }},
	
    },
	
	Peds = {
		--**need a stub entry set for the random ped hostage for HostageRescue=true**
      {id = 1, Position = { x = 0, y = 0, z = 0, heading = 0 }},
     },
	

	Pickups = {
		
	},
	MissionPickups = {
		
		
	},
	
	RandomMissionPositions = { 
	
	{ x = 31.0, y = -767.1, z = 44.24,  MissionTitle="Extraction",
	Blip2 = { --safehouse blip
      Title = "Mission Start",
      Position = { x = 31.0, y = -767.1, z = 44.24}, -- x = 2365.07, y = 2958.56, z = 49.06 --{ x = 1944.96, y = 3150.6, z = 46.77}, --x = 1345.43, y = 3152.51, z = 40.41
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },

	
    Marker = {
      Type     = 1,
      Position = {x = 31.0, y = -767.1, z = 44.24},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 10.0, y = 10.0, z = 5.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 200.0,
    },
	--DefendTargetInVehicle = true,
	
	
	},
	
	
	{  x = -547.74, y = -1477.3, z = 10.14, MissionTitle="Extraction", 
 
	Blip2 = { 
      Title = "Mission Start",
      Position = {  x = -547.74, y = -1477.3, z = 10.14}, -- x = 2365.07, y = 2958.56, z = 49.06 --{ x = 1944.96, y = 3150.6, z = 46.77}, --x = 1345.43, y = 3152.51, z = 40.41
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },

	
    Marker = {
      Type     = 1,
      Position = { x = -547.74, y = -1477.3, z = 10.14},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 10.0, y = 10.0, z = 5.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 200.0,
    },
	--DefendTargetInVehicle = true,
	--DefendTargetVehicleIsAircraft = true,
	

	}, 

	},	

},
-- uncomment if you have red dead desert map installed:  https://github.com/KSA01/Red-Dead-Desert 
--[[
Mission21 = {
    
 	StartMessage = "Recapture the prison colony Westworld from the convict uprising!",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Westworld",
	MissionMessage = "Recapture the prison colony Westworld from the convict uprising",	
	
	--Obj/Ass values are the messages used depending on which random Type is selected Objective or Assassinate
	--The real messages (values above), will be set to the below, based on which Type
	StartMessageObj = "Recapture the prison colony Westworld from the convict uprising!",
	FinishMessageObj = "Mission Completed!",
	MissionTitleObj = "Westworld",
	MissionMessageObj = "Recapture the prison colony Westworld from the convict uprising",	
	
	StartMessageAss = "Recapture the prison colony Westworld from the convict uprising!",
	FinishMessageAss = "Mission Completed!",
	MissionTitleAss = "Westworld",
	MissionMessageAss = "Recapture the prison colony Westworld from the convict uprising",
	--RandomMissionWeapons = {0x63AB0442},
	
	Type = "Objective",	
	IsRandom = true,
	RandomMissionTypes ={"Objective"},
	--IsDefend = true,
	--IsDefendTarget = true,
	--IsDefendTargetChase = true,
	--IsDefendTargetGotoBlip=true,
	IsRandomSpawnAnywhere = true,
	UseSafeHouseLocations = false,
	RandomMissionDoLandBattle = true,
	RandomMissionSpawnRadius = 150.0, --keep a float for enemy ped wandering to work
	RandomMissionMaxPedSpawns = 75,
	RandomMissionMinPedSpawns = 50,
	RandomMissionMaxVehicleSpawns = 6,
	RandomMissionMinVehicleSpawns = 3,
	RandomMissionChanceToSpawnVehiclePerTry = 100,
	RandomMissionAircraftChance = 25,
	MissionLengthMinutes = 60,
	SafeHouseVehiclesMaxClaim = 3,
	SafeHouseVehicleCount = 9,
	SafeHouseAircraftCount = 3,
	SafeHouseBoatCount = 3,
	RandomMissionPeds = {"s_m_y_prismuscl_01","u_m_y_prisoner_01","s_m_y_prisoner_01"},
	--what x and y coordinate range should these mission spawn in?
	IsRandomSpawnAnywhereCoordRange = {xrange={4647,7756},yrange={-1181,1950}},
	--RandomLocation = true, --for completely random location.. 
	
	Blip = {
      Title = "Objective",
      Position = { x = -10000, y = 0, z =  0},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },
	

    Marker = {
      Type     = 1,
      Position = { x = -10000, y = 0, z = 0}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip
      Title = "Mission Safehouse",
      Position = {x = 6605.16, y = -787.53, z = 23.78}, --{ x = 1944.96, y = 3150.6, z = 46.77},
      Icon     = 417,
      Display  = 4,
      Size     = 1.2,
      Color    = 2,
	  Alpha	 =80, --Used for AddBlipForRadius with IsDefend Missions
    },	
	 MarkerS = { --safehouse marker
      Type     = 1,
      Position = { x = 6605.16, y = -787.53, z = 22.78},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 117, g = 218, b = 255},
      DrawDistance = 200.0,
    },
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = {x = 6837.65, y = -942.43, z = 31.4}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 6992.71, y = -1301.72, z = 0.28}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	
	Props = { 
		--**need a stub entry set for the random prop**
		{ id=1, Name="",Position = { x = 0, y = 0, z = 0, heading = 0 }},
	
    },
	
	Peds = {
		--**need a stub entry set for the random ped hostage for HostageRescue=true**
      {id = 1, Position = { x = 0, y = 0, z = 0, heading = 0 }},
     },
	

	Pickups = {
		
	},
	MissionPickups = {
		
		
	}

  

  },
  ]]--

}
